
--
-- Name: d_country; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_country (
    code smallint NOT NULL,
    lib_country character varying(250),
    code_iso character varying(2),
    code_fimci smallint,
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint,
    eu boolean DEFAULT false
);


--
-- Name: TABLE d_country; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_country IS 'Numeric code for each country (France = 1, Belgium = 2, etc.)';


--
-- Name: d_partner; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_partner (
    code smallint NOT NULL,
    desc_short character varying(50),
    description character varying(250),
    country_code smallint,
    futmon_code smallint,
    foreu_code smallint,
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint,
    longitude_min character varying(7),
    latitude_min character varying(7),
    longitude_max character varying(7),
    latitude_max character varying(7),
    tfm_sum boolean DEFAULT false
);


--
-- Name: TABLE d_partner; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_partner IS 'Partner Code (ICP Forests)';


--
-- Name: d_accuracy; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_accuracy (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: d_affect_old_branch; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_affect_old_branch (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_affect_old_branch; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_affect_old_branch IS 'Location of damage to branches';


--
-- Name: d_affect_old_stem; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_affect_old_stem (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_affect_old_stem; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_affect_old_stem IS 'Location of damage to the woody parts of the stem';


--
-- Name: d_affectpart; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_affectpart (
    code smallint NOT NULL,
    description character varying(250),
    loc_affectpart character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_affectpart; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_affectpart IS 'Affected part of the tree with specification of affected part';


--
-- Name: d_age_determination; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_age_determination (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_age_determination; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_age_determination IS 'Method of age determination';


--
-- Name: d_altitude; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_altitude (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint,
    value_min smallint,
    value_max smallint
);


--
-- Name: TABLE d_altitude; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_altitude IS 'Altitude class code (50m classes from 1-51)';


--
-- Name: d_apical_shoot; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_apical_shoot (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_apical_shoot; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_apical_shoot IS 'Apical shoot architecture (Beech)';


--
-- Name: d_branches_damage; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_branches_damage (
    code smallint NOT NULL,
    description character varying(250),
    foliage character varying(1),
    branches character varying(1),
    stem character varying(1),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: d_bsb_accuracy; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_bsb_accuracy (
    code smallint NOT NULL,
    description character varying(200)
);


--
-- Name: d_bsb_age; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_bsb_age (
    code smallint NOT NULL,
    description character varying(200)
);


--
-- Name: d_bsb_canclo; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_bsb_canclo (
    code smallint NOT NULL,
    description character varying(200)
);


--
-- Name: d_bsb_country; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_bsb_country (
    code smallint NOT NULL,
    description character varying(200)
);


--
-- Name: d_bsb_decay; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_bsb_decay (
    code smallint NOT NULL,
    description character varying(200)
);


--
-- Name: d_bsb_dwremov; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_bsb_dwremov (
    code smallint NOT NULL,
    description character varying(200)
);


--
-- Name: d_bsb_dwspe; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_bsb_dwspe (
    code smallint NOT NULL,
    description character varying(200)
);


--
-- Name: d_bsb_dwtype; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_bsb_dwtype (
    code smallint NOT NULL,
    description character varying(250),
    grp_tree_species character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: d_bsb_eftc; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_bsb_eftc (
    code smallint NOT NULL,
    description character varying(200)
);


--
-- Name: d_bsb_fence; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_bsb_fence (
    code smallint NOT NULL,
    description character varying(200)
);


--
-- Name: d_bsb_fortype; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_bsb_fortype (
    code smallint NOT NULL,
    description character varying(200)
);


--
-- Name: d_bsb_gpsplot; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_bsb_gpsplot (
    code character varying(1) NOT NULL,
    description character varying(200)
);


--
-- Name: d_bsb_layer; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_bsb_layer (
    code smallint NOT NULL,
    description character varying(200)
);


--
-- Name: d_bsb_manage; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_bsb_manage (
    code smallint NOT NULL,
    description character varying(200)
);


--
-- Name: d_bsb_orient; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_bsb_orient (
    code smallint NOT NULL,
    description character varying(200)
);


--
-- Name: d_bsb_origin; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_bsb_origin (
    code smallint NOT NULL,
    description character varying(200)
);


--
-- Name: d_bsb_prevuse; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_bsb_prevuse (
    code smallint NOT NULL,
    description character varying(200)
);


--
-- Name: d_bsb_subplot; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_bsb_subplot (
    code smallint NOT NULL,
    description character varying(200)
);


--
-- Name: d_bsb_treelay; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_bsb_treelay (
    code smallint NOT NULL,
    description character varying(200)
);


--
-- Name: d_bsb_treemix; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_bsb_treemix (
    code smallint NOT NULL,
    description character varying(200)
);


--
-- Name: d_bsb_tspecies; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_bsb_tspecies (
    code smallint NOT NULL,
    description character varying(200)
);


--
-- Name: d_bsb_tstatus; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_bsb_tstatus (
    code smallint NOT NULL,
    description character varying(200)
);


--
-- Name: d_canopy; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_canopy (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_canopy; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_canopy IS 'Canopy closure';


--
-- Name: d_cause; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_cause (
    code integer NOT NULL,
    description character varying(250),
    applicable_co smallint,
    applicable_br smallint,
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: d_cause_sc_name; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_cause_sc_name (
    code character varying(7) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint,
    error_code character varying(1),
    msg character varying(255)
);


--
-- Name: TABLE d_cause_sc_name; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_cause_sc_name IS 'Scientific name of cause (of affection)';


--
-- Name: d_cdrd_n; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_cdrd_n (
    code smallint NOT NULL,
    description character varying(250),
    description_long character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_cdrd_n; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_cdrd_n IS 'Score for calculation of crown diameter related distance to neighbours';


--
-- Name: d_certainty; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_certainty (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_certainty; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_certainty IS 'Certainty of species determination';


--
-- Name: d_climatic; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_climatic (
    code character varying(7) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: d_colour; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_colour (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_colour; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_colour IS 'Colour (crown condition parameter)';


--
-- Name: d_compound_aq; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_compound_aq (
    code character varying(3) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_compound_aq; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_compound_aq IS 'Compound air quality';


--
-- Name: d_crown_assess; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_crown_assess (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_crown_assess; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_crown_assess IS 'Assessable crown';


--
-- Name: d_crown_form; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_crown_form (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_crown_form; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_crown_form IS 'Crown form/morphology classification';


--
-- Name: d_damage_age; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_damage_age (
    code smallint NOT NULL,
    description character varying(250),
    description_long character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_damage_age; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_damage_age IS 'Age of damage';


--
-- Name: d_damage_foliage_type; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_damage_foliage_type (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: d_damage_stem_type; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_damage_stem_type (
    code smallint NOT NULL,
    description character varying(250),
    foliage character varying(1),
    branches character varying(1),
    stem character varying(1),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: d_decay; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_decay (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_decay; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_decay IS 'Decay, only for standing and lying dead trees';


--
-- Name: d_defoliation; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_defoliation (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_defoliation; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_defoliation IS 'Defoliation is assessed in 5% steps. A tree with between >95% and 100% defoliation, which is still alive, is scored as 99. The score 100 is reserved for dead trees.';


--
-- Name: d_defoliation_class; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_defoliation_class (
    code smallint NOT NULL,
    description character varying(250),
    description_word character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: d_defoliation_type; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_defoliation_type (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_defoliation_type; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_defoliation_type IS 'Defoliation type';


--
-- Name: d_dendrometer; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_dendrometer (
    code numeric(3,1) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_dendrometer; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_dendrometer IS 'Continuous dendrometer or girthband (tree diameter)';


--
-- Name: d_depth_level_soil; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_depth_level_soil (
    code character varying(4) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_depth_level_soil; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_depth_level_soil IS 'Depth level of soil layers';


--
-- Name: d_depth_level_sw; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_depth_level_sw (
    code character varying(4) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_depth_level_sw; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_depth_level_sw IS 'Code for depth level (Layers Soil Water). In general, the depth layer code is built by an "O"in case of organic layers or a "M" in case of mineral layers. Each succeed by two numbers. The first number is the decimeter of the upper limit and the second number it the decimeter of the lower limit.';


--
-- Name: d_det_top_height; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_det_top_height (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_det_top_height; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_det_top_height IS 'Method of top height determination';


--
-- Name: d_determination_dp_so; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_determination_dp_so (
    code numeric(4,2) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_determination_dp_so; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_determination_dp_so IS 'Determination method - soil, soil solution, deposition';


--
-- Name: d_determination_dp_ss; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_determination_dp_ss (
    code character varying(4) NOT NULL,
    description character varying(200),
    category character varying(50),
    valid_from_survey_year smallint,
    valid_to_survey_year smallint
);


--
-- Name: d_determination_fo_gb_lf; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_determination_fo_gb_lf (
    code character varying(4) NOT NULL,
    description character varying(200),
    category character varying(50),
    valid_from_survey_year smallint,
    valid_to_survey_year smallint
);


--
-- Name: d_determination_folfgv; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_determination_folfgv (
    code numeric(4,2) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: d_determination_la; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_determination_la (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_determination_la; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_determination_la IS 'Method for LAI determination according to Field Protocol on LAI measurement';


--
-- Name: d_determination_so; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_determination_so (
    code character varying(4) NOT NULL,
    description character varying(200),
    category character varying(50),
    valid_from_survey_year smallint,
    valid_to_survey_year smallint
);


--
-- Name: d_dieback; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_dieback (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_dieback; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_dieback IS 'Type of dieback/shootdeath';


--
-- Name: d_dieback_extent; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_dieback_extent (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_dieback_extent; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_dieback_extent IS 'Extent of dieback/shootdeath';


--
-- Name: d_direction; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_direction (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_direction; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_direction IS 'Visible (horizontal) direction FROM where the crown is observed';


--
-- Name: d_discol_extent; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_discol_extent (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_discol_extent; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_discol_extent IS 'Extent of discolouration';


--
-- Name: d_discol_type; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_discol_type (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_discol_type; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_discol_type IS 'Type of discolouration';


--
-- Name: d_discolouration; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_discolouration (
    code smallint NOT NULL,
    descrip_verbal character varying(250),
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_discolouration; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_discolouration IS 'Discolouration. Classified according to percentage of needles/leaves discoloured';


--
-- Name: d_dw_rem; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_dw_rem (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_dw_rem; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_dw_rem IS 'Removal of coarse woody debris';


--
-- Name: d_dw_type; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_dw_type (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_dw_type; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_dw_type IS 'Type of the coarse woody debris, snag or stump.';


--
-- Name: d_epiphytes; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_epiphytes (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_epiphytes; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_epiphytes IS 'Epiphytes and other plants in the crown ';


--
-- Name: d_event; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_event (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_event; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_event IS 'Event';


--
-- Name: d_event_score; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_event_score (
    code numeric NOT NULL,
    description character varying(250),
    score character varying(50),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint,
    flowering smallint,
    damage smallint,
    other smallint
);


--
-- Name: TABLE d_event_score; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_event_score IS 'Score of event. The score gives the relative share of affected tree compartments of the observed crown in case of intensive survey. In case of observation on plot level it is the proportion of the forest crown affected.';


--
-- Name: d_exposure; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_exposure (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_exposure; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_exposure IS 'Exposure of plot';


--
-- Name: d_extent; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_extent (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_extent; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_extent IS 'Damage extent';


--
-- Name: d_fence; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_fence (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_fence; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_fence IS 'As the vegetation can be very different inside and outside a fence, it was decided that in principle the ground vegetation is surveyed always outside the fence. In case that also inside the fence a survey is carried out this should be reported as a separate survey and the fencing code be indicated';


--
-- Name: d_fencing; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_fencing (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_fencing; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_fencing IS 'Fencing is reported in classes';


--
-- Name: d_flowering; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_flowering (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_flowering; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_flowering IS 'Flowering (of the assessable part of the crown and of the whole crown)';


--
-- Name: d_foliage_age; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_foliage_age (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_foliage_age; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_foliage_age IS 'Age of foliage affected by discolouration';


--
-- Name: d_foliage_damage; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_foliage_damage (
    code smallint NOT NULL,
    description character varying(250),
    foliage character varying(1),
    branches character varying(1),
    stem character varying(1),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: d_foliage_damage_extent; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_foliage_damage_extent (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_foliage_damage_extent; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_foliage_damage_extent IS 'Extent of damage caused to leaves or needles';


--
-- Name: d_foliage_deform; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_foliage_deform (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_foliage_deform; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_foliage_deform IS 'Deformation type of foliage';


--
-- Name: d_foliage_deform_ext; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_foliage_deform_ext (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_foliage_deform_ext; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_foliage_deform_ext IS 'Extent of deformation of foliage';


--
-- Name: d_foliage_size; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_foliage_size (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_foliage_size; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_foliage_size IS 'Foliage size';


--
-- Name: d_foliage_transparency; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_foliage_transparency (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_foliage_transparency; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_foliage_transparency IS 'Estimate foliage transparancy in 5% classes based on the live, normally foliated portion of the crown and branches.';


--
-- Name: d_forest_owner; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_forest_owner (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_forest_owner; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_forest_owner IS 'Forest ownership is reported in classes following the FAO Forest Resource Assessment 2010';


--
-- Name: d_forest_type; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_forest_type (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_forest_type; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_forest_type IS 'The forest type of the plot. Reported following the nomenclature of State of Europe''s Forests Report 2011';


--
-- Name: d_forest_type_bd; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_forest_type_bd (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_forest_type_bd; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_forest_type_bd IS 'European Forest Type Classification';


--
-- Name: d_fruiting; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_fruiting (
    code numeric(3,1) NOT NULL,
    short character varying(50),
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_fruiting; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_fruiting IS 'Fruiting (of the assessable part of the crown and of the whole crown)';


--
-- Name: d_functional_group; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_functional_group (
    code character varying(2) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_functional_group; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_functional_group IS 'Functional Group - Ground Vegetation Biomass Analyses';


--
-- Name: d_gr_quality_code; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_gr_quality_code (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_gr_quality_code; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_gr_quality_code IS 'Growth data quality';


--
-- Name: d_ground_water_table; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_ground_water_table (
    code smallint NOT NULL,
    description character varying(220),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_ground_water_table; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_ground_water_table IS 'Mean highest and mean lowest ground water table';


--
-- Name: d_hori_disc; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_hori_disc (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_hori_disc; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_hori_disc IS 'Horizon discontinuity, i.e. the number of materials in which the soil has formed (part of horizon designation)';


--
-- Name: d_hori_distinct; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_hori_distinct (
    code smallint NOT NULL,
    description character varying(250),
    thickness_of_boundary_zone character varying(50),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_hori_distinct; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_hori_distinct IS 'Horizon distinctness. The distinctness of the lower horizon boundary refers to the thickness of the boundary zone in between adjacent horizons.';


--
-- Name: d_hori_master; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_hori_master (
    code character varying(5) NOT NULL,
    description character varying(250),
    code_icp_forests character varying(1),
    code_fscc character varying(1),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_hori_master; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_hori_master IS 'Master horizon. One or two capital letters that designate the type of master horizon or transitional horizon (part of horizon designation)';


--
-- Name: d_hori_sub; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_hori_sub (
    code character varying(5) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_hori_sub; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_hori_sub IS 'Horizon subordinate. Lowercase letters that designate subordinate characteristics of the horizon (part of horizon designation)';


--
-- Name: d_hori_topography; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_hori_topography (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_hori_topography; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_hori_topography IS 'Horizon Topography. The topography of the boundary indicates its shape.';


--
-- Name: d_hori_vertical; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_hori_vertical (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_hori_vertical; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_hori_vertical IS 'Vertical subdivision of a master horizon on the basis of structure, texture, colour, etc. The number 1 is used to designate the upper part of the master horizon (part of horizon designation)';


--
-- Name: d_humus; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_humus (
    code smallint NOT NULL,
    description character varying(250),
    description_fscc character varying(500),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_humus; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_humus IS 'Humus type';


--
-- Name: d_instrument; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_instrument (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_instrument; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_instrument IS 'Recording code (for samplers and recording method of data)';


--
-- Name: d_intensity_fruiting; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_intensity_fruiting (
    code numeric(2,1) NOT NULL,
    description character varying(250),
    description_long character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_intensity_fruiting; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_intensity_fruiting IS 'Fruiting in assessable crown, mandatory on Fagus ssp., Picea abies and Pine ssp.';


--
-- Name: d_land_use_so; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_land_use_so (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: d_layer; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_layer (
    code character varying(1) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_layer; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_layer IS 'Type of layer for soil solution';


--
-- Name: d_layer_surface; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_layer_surface (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_layer_surface; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_layer_surface IS 'Vegetation Layers';


--
-- Name: d_leaves_type; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_leaves_type (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_leaves_type; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_leaves_type IS 'Definition of leaves type';


--
-- Name: d_lf_fo_lqa; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_lf_fo_lqa (
    survey_year smallint NOT NULL,
    laboratory_id character varying(3) NOT NULL,
    code_parameter character varying(2) NOT NULL,
    ring_test_number character varying(3),
    ring_test_result smallint,
    requali_info smallint,
    ring_test_result_requali smallint
);


--
-- Name: d_litter_sample; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_litter_sample (
    code numeric(3,1) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_litter_sample; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_litter_sample IS 'Fraction of Litterfall';


--
-- Name: d_location; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_location (
    code character varying(1) NOT NULL,
    description character varying(250),
    description_long character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_location; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_location IS 'Location of the meteorological instrument';


--
-- Name: d_loccrown; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_loccrown (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_loccrown; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_loccrown IS 'Location of affected part in crown';


--
-- Name: d_loccrown_primary; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_loccrown_primary (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_loccrown_primary; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_loccrown_primary IS 'Location of discolouration in the crown';


--
-- Name: d_manage_intensity; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_manage_intensity (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_manage_intensity; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_manage_intensity IS 'Intensity of management';


--
-- Name: d_manage_method; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_manage_method (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_manage_method; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_manage_method IS 'Management method';


--
-- Name: d_manage_type; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_manage_type (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_manage_type; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_manage_type IS 'Management type';


--
-- Name: d_manage_type_bd; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_manage_type_bd (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_manage_type_bd; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_manage_type_bd IS 'Management (forest) type';


--
-- Name: d_mean_age; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_mean_age (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_mean_age; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_mean_age IS 'Mean age of dominant storey (years)';


--
-- Name: d_mean_age_bd; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_mean_age_bd (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_mean_age_bd; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_mean_age_bd IS 'Mean age of dominant storey';


--
-- Name: d_measurement_average; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_measurement_average (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_measurement_average; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_measurement_average IS 'Measurement or Average Value (tree diameter)';


--
-- Name: d_method_ph; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_method_ph (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_method_ph; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_method_ph IS 'Method used for making the observation (survey PH)';


--
-- Name: d_nfi_status; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_nfi_status (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_nfi_status; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_nfi_status IS 'It has to be submitted if the plot is identical or co-located with a plot of the National Forest Inventory. This information is used for cross-linkage and data evaluation.';


--
-- Name: d_notimb_util; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_notimb_util (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_notimb_util; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_notimb_util IS 'Non-timber utilisation is reported in classes. Only regular non-timber utilization is to be reported which may have a measurable impact on nutrient and water cycles.';


--
-- Name: d_orientation; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_orientation (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_orientation; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_orientation IS 'Orientation (horizontal)';


--
-- Name: d_origin_meteo; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_origin_meteo (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_origin_meteo; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_origin_meteo IS 'Origin of meteorological data';


--
-- Name: d_parameter_aq; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_parameter_aq (
    code character varying(10) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint,
    unit character varying(10)
);


--
-- Name: d_parameter_dp; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_parameter_dp (
    code character varying(10) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint,
    unit character varying(10)
);


--
-- Name: TABLE d_parameter_dp; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_parameter_dp IS 'Deposition - parameter (QA forms)';


--
-- Name: d_parameter_fogv; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_parameter_fogv (
    code character varying(4) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint,
    unit character varying(10)
);


--
-- Name: TABLE d_parameter_fogv; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_parameter_fogv IS 'Foliage and Ground Vegetation biomass - parameter (QA forms)';


--
-- Name: d_parameter_la; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_parameter_la (
    code character varying(12) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_parameter_la; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_parameter_la IS 'Parameter to be specified with photo submission (LAI determination)';


--
-- Name: d_parameter_lf; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_parameter_lf (
    code character varying(10) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint,
    unit character varying(10)
);


--
-- Name: TABLE d_parameter_lf; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_parameter_lf IS 'Litterfall - parameter (QA forms)';


--
-- Name: d_parameter_so; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_parameter_so (
    code character varying(10) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint,
    unit character varying(10)
);


--
-- Name: TABLE d_parameter_so; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_parameter_so IS 'Soil - parameter (QA forms)';


--
-- Name: d_parameter_ss; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_parameter_ss (
    code character varying(10) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint,
    unit character varying(10)
);


--
-- Name: TABLE d_parameter_ss; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_parameter_ss IS 'Soil Solution - parameter (QA forms)';


--
-- Name: d_parent_material; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_parent_material (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_parent_material; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_parent_material IS 'Code for Parent Material';


--
-- Name: d_perennial; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_perennial (
    code character varying(1) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_perennial; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_perennial IS 'Perennial/Annual, Woody/Non-Woody';


--
-- Name: d_plot_design; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_plot_design (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_plot_design; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_plot_design IS 'Plot design of Level I and Level II plots ';


--
-- Name: d_plot_status; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_plot_status (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_plot_status; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_plot_status IS 'For each plot it has to be submitted in case that plot status has changed. This information is used for data validation and evaluation.';


--
-- Name: d_precision_oz; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_precision_oz (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_precision_oz; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_precision_oz IS 'Precision level of the sampling (10 or 20, corresponding to 10% or 20% error)';


--
-- Name: d_pretreatment_dp; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_pretreatment_dp (
    code numeric(4,2) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_pretreatment_dp; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_pretreatment_dp IS 'Pretreatment method - deposition';


--
-- Name: d_pretreatment_fo_gb_lf; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_pretreatment_fo_gb_lf (
    code character varying(4) NOT NULL,
    description character varying(200),
    category character varying(50),
    valid_from_survey_year smallint,
    valid_to_survey_year smallint
);


--
-- Name: d_pretreatment_folfgv; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_pretreatment_folfgv (
    code numeric(4,2) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_pretreatment_folfgv; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_pretreatment_folfgv IS 'Pretreatment method - foliage, litterfall, ground vegetation';


--
-- Name: d_pretreatment_so; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_pretreatment_so (
    code character varying(4) NOT NULL,
    description character varying(200),
    category character varying(50),
    valid_from_survey_year smallint,
    valid_to_survey_year smallint
);


--
-- Name: d_preuse_bd; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_preuse_bd (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_preuse_bd; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_preuse_bd IS 'Previous land-use';


--
-- Name: d_prev_landuse; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_prev_landuse (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_prev_landuse; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_prev_landuse IS 'Previous land use information - that land use shall be classified which had been at the respective area before the actual stand has been established.';


--
-- Name: d_protection_status; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_protection_status (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_protection_status; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_protection_status IS 'The Protection status of the monitoring plot. Described following the MCPFE classification';


--
-- Name: d_qflags; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_qflags (
    code smallint NOT NULL,
    description character varying(220),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: d_ref_tree; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_ref_tree (
    code smallint NOT NULL,
    description character varying NOT NULL,
    valid_from_survey_year smallint,
    valid_to_survey_year smallint
);


--
-- Name: d_removal_comp_so; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_removal_comp_so (
    code numeric(4,2) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_removal_comp_so; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_removal_comp_so IS 'Soil Removal Compounds (QA forms)';


--
-- Name: d_removal_mortality_ccgr; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_removal_mortality_ccgr (
    code smallint NOT NULL,
    description character varying(250),
    category character varying(100),
    applicable_cc smallint,
    applicable_gr smallint,
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_removal_mortality_ccgr; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_removal_mortality_ccgr IS 'Removals and mortality';


--
-- Name: d_removal_mortality_tv; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_removal_mortality_tv (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_removal_mortality_tv; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_removal_mortality_tv IS 'Removals and mortality';


--
-- Name: d_results_la; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_results_la (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_results_la; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_results_la IS 'LAI results depending on method for determination ';


--
-- Name: d_root_abundance; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_root_abundance (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint,
    very_fine character varying(10),
    fine character varying(10),
    medium character varying(10),
    coarse character varying(10)
);


--
-- Name: TABLE d_root_abundance; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_root_abundance IS 'Root abundance based on the frequency as number of roots per dm2';


--
-- Name: d_sample_prep_dp_ss; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_sample_prep_dp_ss (
    code character varying(4) NOT NULL,
    description character varying(200),
    category character varying(50),
    valid_from_survey_year smallint,
    valid_to_survey_year smallint
);


--
-- Name: d_sample_prep_so; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_sample_prep_so (
    code character varying(4) NOT NULL,
    description character varying(200),
    category character varying(50),
    valid_from_survey_year smallint,
    valid_to_survey_year smallint
);


--
-- Name: d_sampler_deposition; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_sampler_deposition (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_sampler_deposition; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_sampler_deposition IS 'Samplers for deposition';


--
-- Name: d_sampler_deposition_harmon; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_sampler_deposition_harmon (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_sampler_deposition_harmon; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_sampler_deposition_harmon IS 'Sampler Model';


--
-- Name: d_sampler_passive; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_sampler_passive (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_sampler_passive; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_sampler_passive IS 'Passive sampler manufacturer';


--
-- Name: d_sampler_ss; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_sampler_ss (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_sampler_ss; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_sampler_ss IS 'Sampler code for the samplers for soil solution';


--
-- Name: d_sampling_deposition; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_sampling_deposition (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_sampling_deposition; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_sampling_deposition IS 'Code to be used to explain missing/adjusted/estimated samples';


--
-- Name: d_sampling_method; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_sampling_method (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_sampling_method; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_sampling_method IS 'Sampling analysis method';


--
-- Name: d_shading; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_shading (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_shading; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_shading IS 'Crown shading. Assessed on a six-point scale';


--
-- Name: d_shoot_epicormic; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_shoot_epicormic (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_shoot_epicormic; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_shoot_epicormic IS 'Secondary shoots and epicormics. Frequency in the assessable crown and on the stem';


--
-- Name: d_sieving_so; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_sieving_so (
    code numeric(4,2) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_sieving_so; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_sieving_so IS 'Soil - sieving / milling (QA forms)';


--
-- Name: d_sky_condition; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_sky_condition (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_sky_condition; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_sky_condition IS 'Sky conditions during the measurement (survey LA)';


--
-- Name: d_social_class; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_social_class (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_social_class; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_social_class IS 'Social class of tree';


--
-- Name: d_soil_adjective; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_soil_adjective (
    code character varying(3) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_soil_adjective; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_soil_adjective IS 'Code of the WRB Qualifier';


--
-- Name: d_soil_coarse_fragments; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_soil_coarse_fragments (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_soil_coarse_fragments; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_soil_coarse_fragments IS 'Coarse fragments';


--
-- Name: d_soil_code_porosity; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_soil_code_porosity (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_soil_code_porosity; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_soil_code_porosity IS 'Class of total porosity';


--
-- Name: d_soil_diagnostic_hori; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_soil_diagnostic_hori (
    code character varying(3) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_soil_diagnostic_hori; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_soil_diagnostic_hori IS 'Diagnostic horizons (WRB diagnostics)';


--
-- Name: d_soil_diagnostic_mate; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_soil_diagnostic_mate (
    code character varying(3) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_soil_diagnostic_mate; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_soil_diagnostic_mate IS 'Diagnostic materials (WRB diagnostics)';


--
-- Name: d_soil_diagnostic_prop; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_soil_diagnostic_prop (
    code character varying(3) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_soil_diagnostic_prop; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_soil_diagnostic_prop IS 'Diagnostic properties (WRB diagnostics)';


--
-- Name: d_soil_group; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_soil_group (
    code character varying(2) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_soil_group; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_soil_group IS 'Code of the WRB Reference Soil Group (2006)';


--
-- Name: d_soil_moisture; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_soil_moisture (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_soil_moisture; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_soil_moisture IS 'Soil moisture';


--
-- Name: d_soil_specifier; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_soil_specifier (
    code character varying(1) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_soil_specifier; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_soil_specifier IS 'Code of the WRB Specifier';


--
-- Name: d_soil_structure; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_soil_structure (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_soil_structure; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_soil_structure IS 'Soil structure';


--
-- Name: d_soil_type; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_soil_type (
    code smallint NOT NULL,
    description1 character varying(250),
    code_soil_group character varying(2),
    code_soil_name character varying(3),
    code_hydr_conduct smallint,
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_soil_type; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_soil_type IS 'Type of soil';


--
-- Name: d_spec_symptom; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_spec_symptom (
    code smallint NOT NULL,
    description character varying(250),
    applicable_symptom character varying,
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: d_species_group; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_species_group (
    code character varying(3) NOT NULL,
    description character varying(250)
);


--
-- Name: d_species_list; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_species_list (
    code character varying(11) NOT NULL,
    family character varying(50),
    genus character varying(50),
    species character varying(50),
    author_citation character varying(100),
    cmnt character varying(250),
    reference character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_species_list; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_species_list IS 'Species code. The species code is made up of the code for the family (999), the code for the genus (999), the code for the species (999). Family, genus, and species codes are separated by a dot.';


--
-- Name: d_stand_actual; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_stand_actual (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_stand_actual; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_stand_actual IS 'Origin of actual stand';


--
-- Name: d_stand_age; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_stand_age (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_stand_age; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_stand_age IS 'Mean age of dominant storey (years)';


--
-- Name: d_stand_history; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_stand_history (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_stand_history; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_stand_history IS 'Stand History (for how long the stand has been forested)';


--
-- Name: d_status_data; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_status_data (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_status_data; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_status_data IS 'Status of meteorological data';


--
-- Name: d_stem_damage; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_stem_damage (
    code smallint NOT NULL,
    description character varying(250),
    foliage character varying(1),
    branches character varying(1),
    stem character varying(1),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: d_storey; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_storey (
    code numeric(4,2) NOT NULL,
    description character varying(250),
    short character varying(100),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_storey; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_storey IS 'Storey description';


--
-- Name: d_substrate; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_substrate (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_substrate; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_substrate IS 'Substrate type species could grow on';


--
-- Name: d_sun_position; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_sun_position (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_sun_position; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_sun_position IS 'Sun position during the measurement (survey LA)';


--
-- Name: d_survey_field; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_survey_field (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: d_survey_oz; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_survey_oz (
    code character varying(50) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_survey_oz; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_survey_oz IS 'Survey type (ozone injury assessment)';


--
-- Name: d_survey_type_gv; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_survey_type_gv (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_survey_type_gv; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_survey_type_gv IS 'Type of the Ground vegetation survey';


--
-- Name: d_surveys; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_surveys (
    code character varying(50) NOT NULL,
    description character varying(250),
    frequ smallint,
    frequ_cmnt character varying(50),
    yn_levelii character varying(1),
    st_order smallint,
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_surveys; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_surveys IS 'Two letter code of Surveys';


--
-- Name: d_symp_leaves; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_symp_leaves (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_symp_leaves; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_symp_leaves IS 'Percentage of symptomatic leaves for actual year''s leaves or needles (C), and the needles of last year (C+1)';


--
-- Name: d_symptom; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_symptom (
    code smallint NOT NULL,
    description character varying(250),
    applicable_ln smallint,
    applicable_bsbf smallint,
    applicable_sc smallint,
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: d_texture_class; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_texture_class (
    code character varying(10) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_texture_class; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_texture_class IS 'Soil texture (according the FAO Texture Triangle)';


--
-- Name: d_transparancy; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_transparancy (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_transparancy; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_transparancy IS 'Valid to survey year 2003! Estimate foliage transparency in 5% classes based on the live, normally foliated portion of the crown and branches.';


--
-- Name: d_tree_age; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_tree_age (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint,
    value_min smallint,
    value_max smallint
);


--
-- Name: TABLE d_tree_age; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_tree_age IS 'Tree age (years)';


--
-- Name: d_tree_layer_bd; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_tree_layer_bd (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_tree_layer_bd; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_tree_layer_bd IS 'Number of tree layers';


--
-- Name: d_tree_layers; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_tree_layers (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_tree_layers; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_tree_layers IS 'Number of tree layers';


--
-- Name: d_tree_spec; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_tree_spec (
    code smallint NOT NULL,
    description character varying(250),
    grp_tree_species character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint,
    code_species_group character varying(3)
);


--
-- Name: TABLE d_tree_spec; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_tree_spec IS 'Main tree species (Reference Flora Europaea) (* = species to be used for the foliage inventory)';


--
-- Name: d_tree_spec_dw; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_tree_spec_dw (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_tree_spec_dw; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_tree_spec_dw IS 'Tree species of the deadwood';


--
-- Name: d_tree_spec_fo; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_tree_spec_fo (
    code smallint NOT NULL,
    description character varying(100),
    grp_tree_species character varying(50),
    valid_from_survey_year smallint,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_tree_spec_fo; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_tree_spec_fo IS 'Tree species to be used for the foliage inventory (broadleaves and conifers)';


--
-- Name: d_tree_species_mix; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_tree_species_mix (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_tree_species_mix; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_tree_species_mix IS 'Type of tree species mixture';


--
-- Name: d_tree_status; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_tree_status (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_tree_status; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_tree_status IS 'Status of tree';


--
-- Name: d_treemix; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_treemix (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_treemix; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_treemix IS 'Pattern of tree mixture';


--
-- Name: d_type_validation; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_type_validation (
    code character varying(3) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_type_validation; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_type_validation IS 'Type of validation (ozone injury symptoms)';


--
-- Name: d_validated; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_validated (
    code character varying(2) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_validated; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_validated IS 'Validation status (ozone injury symptoms)';


--
-- Name: d_variable; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_variable (
    code character varying(2) NOT NULL,
    description character varying(250),
    unit character varying(20),
    mandatory_l2_core smallint,
    mandatory_l2 smallint,
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: d_variable_aq; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_variable_aq (
    code character varying(7) NOT NULL,
    description character varying(250),
    unit character varying(20),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: d_vertical_from; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_vertical_from (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_vertical_from; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_vertical_from IS 'Vertical direction from where the crown is observed';


--
-- Name: d_visibility; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_visibility (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_visibility; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_visibility IS 'Visibility of crown';


--
-- Name: d_visible_crown; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_visible_crown (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_visible_crown; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_visible_crown IS 'Visible part of crown';


--
-- Name: d_water; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_water (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_water; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_water IS 'Availability of water to principal species (estimate)';


--
-- Name: d_water_table_type; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_water_table_type (
    code smallint NOT NULL,
    description character varying(220),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_water_table_type; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_water_table_type IS 'Type of water table';


--
-- Name: d_wrb_diagnostics; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_wrb_diagnostics (
    code character varying(3) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint,
    origin character varying(120)
);


--
-- Name: TABLE d_wrb_diagnostics; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_wrb_diagnostics IS 'Code of diagnostic horizon, property or material';


--
-- Name: d_wrb_pub; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_wrb_pub (
    code character varying(8) NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_wrb_pub; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_wrb_pub IS 'WRB publication (code referring the year of publication of the reference document used for the soil classification)';


--
-- Name: d_yield_abs; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_yield_abs (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_yield_abs; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_yield_abs IS 'Yield estimate - absolute';


--
-- Name: d_yield_rel; Type: TABLE; Schema: d; Owner: -
--

CREATE TABLE d_yield_rel (
    code smallint NOT NULL,
    description character varying(250),
    valid_from_survey_year smallint NOT NULL,
    valid_to_survey_year smallint
);


--
-- Name: TABLE d_yield_rel; Type: COMMENT; Schema: d; Owner: -
--

COMMENT ON TABLE d_yield_rel IS 'Yield estimate - relative';


--
-- Name: d_accuracy_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_accuracy
    ADD CONSTRAINT d_accuracy_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_affect_old_branch_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_affect_old_branch
    ADD CONSTRAINT d_affect_old_branch_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_affect_old_stem_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_affect_old_stem
    ADD CONSTRAINT d_affect_old_stem_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_affectpart_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_affectpart
    ADD CONSTRAINT d_affectpart_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_age_determination_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_age_determination
    ADD CONSTRAINT d_age_determination_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_altitude_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_altitude
    ADD CONSTRAINT d_altitude_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_apical_shoot_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_apical_shoot
    ADD CONSTRAINT d_apical_shoot_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_branches_damage_pkey; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_branches_damage
    ADD CONSTRAINT d_branches_damage_pkey PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_bsb_dwtype_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_bsb_dwtype
    ADD CONSTRAINT d_bsb_dwtype_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_canopy_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_canopy
    ADD CONSTRAINT d_canopy_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_cause_pkey; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_cause
    ADD CONSTRAINT d_cause_pkey PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_cause_sc_name_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_cause_sc_name
    ADD CONSTRAINT d_cause_sc_name_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_cdrd_n_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_cdrd_n
    ADD CONSTRAINT d_cdrd_n_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_certainty_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_certainty
    ADD CONSTRAINT d_certainty_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_climatic_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_climatic
    ADD CONSTRAINT d_climatic_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_colour_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_colour
    ADD CONSTRAINT d_colour_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_compound_aq_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_compound_aq
    ADD CONSTRAINT d_compound_aq_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_country_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_country
    ADD CONSTRAINT d_country_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_crown_assess_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_crown_assess
    ADD CONSTRAINT d_crown_assess_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_crown_form_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_crown_form
    ADD CONSTRAINT d_crown_form_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_damage_age_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_damage_age
    ADD CONSTRAINT d_damage_age_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_damage_foliage_type_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_damage_foliage_type
    ADD CONSTRAINT d_damage_foliage_type_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_damage_stem_type_pkey; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_damage_stem_type
    ADD CONSTRAINT d_damage_stem_type_pkey PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_decay_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_decay
    ADD CONSTRAINT d_decay_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_defoliation_class_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_defoliation_class
    ADD CONSTRAINT d_defoliation_class_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_defoliation_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_defoliation
    ADD CONSTRAINT d_defoliation_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_defoliation_type_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_defoliation_type
    ADD CONSTRAINT d_defoliation_type_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_dendrometer_pkey; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_dendrometer
    ADD CONSTRAINT d_dendrometer_pkey PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_depth_level_soil_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_depth_level_soil
    ADD CONSTRAINT d_depth_level_soil_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_depth_level_sw_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_depth_level_sw
    ADD CONSTRAINT d_depth_level_sw_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_det_top_height_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_det_top_height
    ADD CONSTRAINT d_det_top_height_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_determination_dp_so_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_determination_dp_so
    ADD CONSTRAINT d_determination_dp_so_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_determination_dp_ss_pkey; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_determination_dp_ss
    ADD CONSTRAINT d_determination_dp_ss_pkey PRIMARY KEY (code);


--
-- Name: d_determination_fo_gb_lf_pkey; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_determination_fo_gb_lf
    ADD CONSTRAINT d_determination_fo_gb_lf_pkey PRIMARY KEY (code);


--
-- Name: d_determination_folfgv_pkey; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_determination_folfgv
    ADD CONSTRAINT d_determination_folfgv_pkey PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_determination_la_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_determination_la
    ADD CONSTRAINT d_determination_la_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_determination_so_pkey; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_determination_so
    ADD CONSTRAINT d_determination_so_pkey PRIMARY KEY (code);


--
-- Name: d_dieback_extent_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_dieback_extent
    ADD CONSTRAINT d_dieback_extent_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_dieback_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_dieback
    ADD CONSTRAINT d_dieback_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_direction_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_direction
    ADD CONSTRAINT d_direction_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_discol_extent_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_discol_extent
    ADD CONSTRAINT d_discol_extent_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_discol_type_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_discol_type
    ADD CONSTRAINT d_discol_type_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_discolouration_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_discolouration
    ADD CONSTRAINT d_discolouration_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_dw_rem_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_dw_rem
    ADD CONSTRAINT d_dw_rem_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_dw_type_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_dw_type
    ADD CONSTRAINT d_dw_type_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_epiphytes_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_epiphytes
    ADD CONSTRAINT d_epiphytes_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_event_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_event
    ADD CONSTRAINT d_event_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_event_score_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_event_score
    ADD CONSTRAINT d_event_score_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_exposure_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_exposure
    ADD CONSTRAINT d_exposure_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_extent_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_extent
    ADD CONSTRAINT d_extent_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_fence_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_fence
    ADD CONSTRAINT d_fence_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_fencing_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_fencing
    ADD CONSTRAINT d_fencing_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_flowering_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_flowering
    ADD CONSTRAINT d_flowering_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_foliage_age_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_foliage_age
    ADD CONSTRAINT d_foliage_age_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_foliage_damage_extent_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_foliage_damage_extent
    ADD CONSTRAINT d_foliage_damage_extent_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_foliage_damage_pkey; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_foliage_damage
    ADD CONSTRAINT d_foliage_damage_pkey PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_foliage_deform_ext_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_foliage_deform_ext
    ADD CONSTRAINT d_foliage_deform_ext_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_foliage_deform_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_foliage_deform
    ADD CONSTRAINT d_foliage_deform_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_foliage_size_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_foliage_size
    ADD CONSTRAINT d_foliage_size_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_foliage_transparancy_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_foliage_transparency
    ADD CONSTRAINT d_foliage_transparancy_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_forest_owner_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_forest_owner
    ADD CONSTRAINT d_forest_owner_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_forest_type_bd_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_forest_type_bd
    ADD CONSTRAINT d_forest_type_bd_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_forest_type_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_forest_type
    ADD CONSTRAINT d_forest_type_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_fruiting_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_fruiting
    ADD CONSTRAINT d_fruiting_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_functional_group_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_functional_group
    ADD CONSTRAINT d_functional_group_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_gr_quality_code_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_gr_quality_code
    ADD CONSTRAINT d_gr_quality_code_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_ground_water_table_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_ground_water_table
    ADD CONSTRAINT d_ground_water_table_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_hori_disc_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_hori_disc
    ADD CONSTRAINT d_hori_disc_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_hori_distinct_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_hori_distinct
    ADD CONSTRAINT d_hori_distinct_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_hori_master_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_hori_master
    ADD CONSTRAINT d_hori_master_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_hori_sub_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_hori_sub
    ADD CONSTRAINT d_hori_sub_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_hori_topography_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_hori_topography
    ADD CONSTRAINT d_hori_topography_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_hori_vertical_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_hori_vertical
    ADD CONSTRAINT d_hori_vertical_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_humus_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_humus
    ADD CONSTRAINT d_humus_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_instrument_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_instrument
    ADD CONSTRAINT d_instrument_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_intensity_fruiting_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_intensity_fruiting
    ADD CONSTRAINT d_intensity_fruiting_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_land_use_so_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_land_use_so
    ADD CONSTRAINT d_land_use_so_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_layer_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_layer
    ADD CONSTRAINT d_layer_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_layer_surface_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_layer_surface
    ADD CONSTRAINT d_layer_surface_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_leaves_type_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_leaves_type
    ADD CONSTRAINT d_leaves_type_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_lf_fo_lqa_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_lf_fo_lqa
    ADD CONSTRAINT d_lf_fo_lqa_pk PRIMARY KEY (survey_year, laboratory_id, code_parameter);


--
-- Name: d_litter_sample_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_litter_sample
    ADD CONSTRAINT d_litter_sample_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_location_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_location
    ADD CONSTRAINT d_location_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_loccrown_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_loccrown
    ADD CONSTRAINT d_loccrown_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_loccrown_primary_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_loccrown_primary
    ADD CONSTRAINT d_loccrown_primary_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_manage_intensity_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_manage_intensity
    ADD CONSTRAINT d_manage_intensity_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_manage_method_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_manage_method
    ADD CONSTRAINT d_manage_method_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_manage_type_bd_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_manage_type_bd
    ADD CONSTRAINT d_manage_type_bd_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_manage_type_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_manage_type
    ADD CONSTRAINT d_manage_type_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_mean_age_bd_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_mean_age_bd
    ADD CONSTRAINT d_mean_age_bd_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_mean_age_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_stand_age
    ADD CONSTRAINT d_mean_age_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_mean_age_pk1; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_mean_age
    ADD CONSTRAINT d_mean_age_pk1 PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_measurement_average_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_measurement_average
    ADD CONSTRAINT d_measurement_average_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_method_ph_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_method_ph
    ADD CONSTRAINT d_method_ph_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_nfi_status_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_nfi_status
    ADD CONSTRAINT d_nfi_status_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_notimb_util_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_notimb_util
    ADD CONSTRAINT d_notimb_util_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_orientation_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_orientation
    ADD CONSTRAINT d_orientation_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_origin_meteo_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_origin_meteo
    ADD CONSTRAINT d_origin_meteo_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_parameter_aq_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_parameter_aq
    ADD CONSTRAINT d_parameter_aq_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_parameter_dp_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_parameter_dp
    ADD CONSTRAINT d_parameter_dp_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_parameter_fogv_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_parameter_fogv
    ADD CONSTRAINT d_parameter_fogv_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_parameter_la_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_parameter_la
    ADD CONSTRAINT d_parameter_la_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_parameter_lf_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_parameter_lf
    ADD CONSTRAINT d_parameter_lf_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_parameter_so_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_parameter_so
    ADD CONSTRAINT d_parameter_so_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_parameter_ss_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_parameter_ss
    ADD CONSTRAINT d_parameter_ss_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_parent_material_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_parent_material
    ADD CONSTRAINT d_parent_material_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_partner_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_partner
    ADD CONSTRAINT d_partner_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_perennial_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_perennial
    ADD CONSTRAINT d_perennial_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_plot_design_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_plot_design
    ADD CONSTRAINT d_plot_design_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_plot_status_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_plot_status
    ADD CONSTRAINT d_plot_status_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_precision_oz_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_precision_oz
    ADD CONSTRAINT d_precision_oz_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_pretreatment_dp_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_pretreatment_dp
    ADD CONSTRAINT d_pretreatment_dp_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_pretreatment_fo_gv_lf_pkey; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_pretreatment_fo_gb_lf
    ADD CONSTRAINT d_pretreatment_fo_gv_lf_pkey PRIMARY KEY (code);


--
-- Name: d_pretreatment_folfgv_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_pretreatment_folfgv
    ADD CONSTRAINT d_pretreatment_folfgv_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_pretreatment_so_pkey; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_pretreatment_so
    ADD CONSTRAINT d_pretreatment_so_pkey PRIMARY KEY (code);


--
-- Name: d_preuse_bd_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_preuse_bd
    ADD CONSTRAINT d_preuse_bd_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_prev_landuse_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_prev_landuse
    ADD CONSTRAINT d_prev_landuse_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_protection_status_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_protection_status
    ADD CONSTRAINT d_protection_status_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_qflags_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_qflags
    ADD CONSTRAINT d_qflags_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_ref_tree_pkey; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_ref_tree
    ADD CONSTRAINT d_ref_tree_pkey PRIMARY KEY (code);


--
-- Name: d_removal_comp_so_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_removal_comp_so
    ADD CONSTRAINT d_removal_comp_so_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_removal_mortality_ccgr_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_removal_mortality_ccgr
    ADD CONSTRAINT d_removal_mortality_ccgr_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_removal_mortality_tv_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_removal_mortality_tv
    ADD CONSTRAINT d_removal_mortality_tv_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_results_la_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_results_la
    ADD CONSTRAINT d_results_la_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_root_abundance_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_root_abundance
    ADD CONSTRAINT d_root_abundance_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_sample_prep_dp_ss_pkey; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_sample_prep_dp_ss
    ADD CONSTRAINT d_sample_prep_dp_ss_pkey PRIMARY KEY (code);


--
-- Name: d_sample_prep_so_pkey; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_sample_prep_so
    ADD CONSTRAINT d_sample_prep_so_pkey PRIMARY KEY (code);


--
-- Name: d_sampler_deposition_harmon_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_sampler_deposition_harmon
    ADD CONSTRAINT d_sampler_deposition_harmon_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_sampler_deposition_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_sampler_deposition
    ADD CONSTRAINT d_sampler_deposition_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_sampler_passive_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_sampler_passive
    ADD CONSTRAINT d_sampler_passive_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_sampler_ss_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_sampler_ss
    ADD CONSTRAINT d_sampler_ss_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_sampling_deposition_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_sampling_deposition
    ADD CONSTRAINT d_sampling_deposition_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_sampling_method_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_sampling_method
    ADD CONSTRAINT d_sampling_method_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_shading_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_shading
    ADD CONSTRAINT d_shading_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_shoot_epicormic_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_shoot_epicormic
    ADD CONSTRAINT d_shoot_epicormic_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_sieving_so_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_sieving_so
    ADD CONSTRAINT d_sieving_so_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_sky_condition_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_sky_condition
    ADD CONSTRAINT d_sky_condition_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_social_class_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_social_class
    ADD CONSTRAINT d_social_class_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_soil_adjective_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_soil_adjective
    ADD CONSTRAINT d_soil_adjective_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_soil_coarse_fragments_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_soil_coarse_fragments
    ADD CONSTRAINT d_soil_coarse_fragments_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_soil_code_porosity_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_soil_code_porosity
    ADD CONSTRAINT d_soil_code_porosity_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_soil_diagnostic_hori_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_soil_diagnostic_hori
    ADD CONSTRAINT d_soil_diagnostic_hori_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_soil_diagnostic_mate_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_soil_diagnostic_mate
    ADD CONSTRAINT d_soil_diagnostic_mate_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_soil_diagnostic_prop_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_soil_diagnostic_prop
    ADD CONSTRAINT d_soil_diagnostic_prop_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_soil_group_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_soil_group
    ADD CONSTRAINT d_soil_group_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_soil_moisture_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_soil_moisture
    ADD CONSTRAINT d_soil_moisture_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_soil_specifier_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_soil_specifier
    ADD CONSTRAINT d_soil_specifier_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_soil_structure_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_soil_structure
    ADD CONSTRAINT d_soil_structure_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_soil_type_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_soil_type
    ADD CONSTRAINT d_soil_type_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_spec_symptom_pkey; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_spec_symptom
    ADD CONSTRAINT d_spec_symptom_pkey PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_species_group_pkey; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_species_group
    ADD CONSTRAINT d_species_group_pkey PRIMARY KEY (code);


--
-- Name: d_species_list_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_species_list
    ADD CONSTRAINT d_species_list_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_stand_actual_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_stand_actual
    ADD CONSTRAINT d_stand_actual_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_stand_history_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_stand_history
    ADD CONSTRAINT d_stand_history_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_status_data_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_status_data
    ADD CONSTRAINT d_status_data_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_stem_damage_pkey; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_stem_damage
    ADD CONSTRAINT d_stem_damage_pkey PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_storey_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_storey
    ADD CONSTRAINT d_storey_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_substrate_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_substrate
    ADD CONSTRAINT d_substrate_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_sun_position_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_sun_position
    ADD CONSTRAINT d_sun_position_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_survey_field_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_survey_field
    ADD CONSTRAINT d_survey_field_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_survey_oz_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_survey_oz
    ADD CONSTRAINT d_survey_oz_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_survey_type_gv_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_survey_type_gv
    ADD CONSTRAINT d_survey_type_gv_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_surveys_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_surveys
    ADD CONSTRAINT d_surveys_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_symp_leaves_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_symp_leaves
    ADD CONSTRAINT d_symp_leaves_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_symptom_pkey; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_symptom
    ADD CONSTRAINT d_symptom_pkey PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_texture_class_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_texture_class
    ADD CONSTRAINT d_texture_class_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_transparancy_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_transparancy
    ADD CONSTRAINT d_transparancy_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_tree_age_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_tree_age
    ADD CONSTRAINT d_tree_age_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_tree_layer_bd_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_tree_layer_bd
    ADD CONSTRAINT d_tree_layer_bd_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_tree_layers_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_tree_layers
    ADD CONSTRAINT d_tree_layers_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_tree_spec_dw_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_tree_spec_dw
    ADD CONSTRAINT d_tree_spec_dw_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_tree_spec_fo_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_tree_spec_fo
    ADD CONSTRAINT d_tree_spec_fo_pk PRIMARY KEY (code);


--
-- Name: d_tree_spec_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_tree_spec
    ADD CONSTRAINT d_tree_spec_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_tree_species_mix_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_tree_species_mix
    ADD CONSTRAINT d_tree_species_mix_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_tree_status_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_tree_status
    ADD CONSTRAINT d_tree_status_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_treemix_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_treemix
    ADD CONSTRAINT d_treemix_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_type_validation_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_type_validation
    ADD CONSTRAINT d_type_validation_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_validated_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_validated
    ADD CONSTRAINT d_validated_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_variable_aq_pkey; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_variable_aq
    ADD CONSTRAINT d_variable_aq_pkey PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_variable_pkey; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_variable
    ADD CONSTRAINT d_variable_pkey PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_vertical_from_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_vertical_from
    ADD CONSTRAINT d_vertical_from_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_visibility_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_visibility
    ADD CONSTRAINT d_visibility_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_visible_crown_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_visible_crown
    ADD CONSTRAINT d_visible_crown_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_water_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_water
    ADD CONSTRAINT d_water_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_water_table_type_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_water_table_type
    ADD CONSTRAINT d_water_table_type_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_wrb_diagnostics_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_wrb_diagnostics
    ADD CONSTRAINT d_wrb_diagnostics_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_wrb_pub_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_wrb_pub
    ADD CONSTRAINT d_wrb_pub_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_yield_abs_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_yield_abs
    ADD CONSTRAINT d_yield_abs_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: d_yield_rel_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_yield_rel
    ADD CONSTRAINT d_yield_rel_pk PRIMARY KEY (code, valid_from_survey_year);


--
-- Name: ref_accuracy_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_bsb_accuracy
    ADD CONSTRAINT ref_accuracy_pk PRIMARY KEY (code);


--
-- Name: ref_age_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_bsb_age
    ADD CONSTRAINT ref_age_pk PRIMARY KEY (code);


--
-- Name: ref_canclo_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_bsb_canclo
    ADD CONSTRAINT ref_canclo_pk PRIMARY KEY (code);


--
-- Name: ref_country_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_bsb_country
    ADD CONSTRAINT ref_country_pk PRIMARY KEY (code);


--
-- Name: ref_decay_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_bsb_decay
    ADD CONSTRAINT ref_decay_pk PRIMARY KEY (code);


--
-- Name: ref_dwremov_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_bsb_dwremov
    ADD CONSTRAINT ref_dwremov_pk PRIMARY KEY (code);


--
-- Name: ref_dwspe_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_bsb_dwspe
    ADD CONSTRAINT ref_dwspe_pk PRIMARY KEY (code);


--
-- Name: ref_eftc_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_bsb_eftc
    ADD CONSTRAINT ref_eftc_pk PRIMARY KEY (code);


--
-- Name: ref_fence_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_bsb_fence
    ADD CONSTRAINT ref_fence_pk PRIMARY KEY (code);


--
-- Name: ref_fortype_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_bsb_fortype
    ADD CONSTRAINT ref_fortype_pk PRIMARY KEY (code);


--
-- Name: ref_gpsplot_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_bsb_gpsplot
    ADD CONSTRAINT ref_gpsplot_pk PRIMARY KEY (code);


--
-- Name: ref_layer_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_bsb_layer
    ADD CONSTRAINT ref_layer_pk PRIMARY KEY (code);


--
-- Name: ref_manage_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_bsb_manage
    ADD CONSTRAINT ref_manage_pk PRIMARY KEY (code);


--
-- Name: ref_orient_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_bsb_orient
    ADD CONSTRAINT ref_orient_pk PRIMARY KEY (code);


--
-- Name: ref_origin_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_bsb_origin
    ADD CONSTRAINT ref_origin_pk PRIMARY KEY (code);


--
-- Name: ref_prevuse_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_bsb_prevuse
    ADD CONSTRAINT ref_prevuse_pk PRIMARY KEY (code);


--
-- Name: ref_subplot_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_bsb_subplot
    ADD CONSTRAINT ref_subplot_pk PRIMARY KEY (code);


--
-- Name: ref_treelay_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_bsb_treelay
    ADD CONSTRAINT ref_treelay_pk PRIMARY KEY (code);


--
-- Name: ref_treemix_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_bsb_treemix
    ADD CONSTRAINT ref_treemix_pk PRIMARY KEY (code);


--
-- Name: ref_tspecies_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_bsb_tspecies
    ADD CONSTRAINT ref_tspecies_pk PRIMARY KEY (code);


--
-- Name: ref_tstatus_pk; Type: CONSTRAINT; Schema: d; Owner: -
--

ALTER TABLE ONLY d_bsb_tstatus
    ADD CONSTRAINT ref_tstatus_pk PRIMARY KEY (code);


--
-- Name: tr_d_removal_mortality_ccgr; Type: TRIGGER; Schema: d; Owner: -
--

CREATE TRIGGER tr_d_removal_mortality_ccgr AFTER INSERT OR DELETE OR UPDATE ON d_removal_mortality_ccgr FOR EACH ROW EXECUTE PROCEDURE ver.versioning_d();


--
-- Name: d; Type: ACL; Schema: -; Owner: -
--

REVOKE ALL ON SCHEMA d FROM PUBLIC;
REVOKE ALL ON SCHEMA d FROM geoadmin;
GRANT ALL ON SCHEMA d TO geoadmin;
GRANT USAGE ON SCHEMA d TO icp_forests_users_read;


--
-- Name: d_country; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_country FROM PUBLIC;
REVOKE ALL ON TABLE d_country FROM geoadmin;
GRANT ALL ON TABLE d_country TO geoadmin;
GRANT SELECT ON TABLE d_country TO icp_forests_users_read;


--
-- Name: d_partner; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_partner FROM PUBLIC;
REVOKE ALL ON TABLE d_partner FROM geoadmin;
GRANT ALL ON TABLE d_partner TO geoadmin;
GRANT SELECT ON TABLE d_partner TO icp_forests_users_read;


--
-- Name: d_accuracy; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_accuracy FROM PUBLIC;
REVOKE ALL ON TABLE d_accuracy FROM geoadmin;
GRANT ALL ON TABLE d_accuracy TO geoadmin;
GRANT SELECT ON TABLE d_accuracy TO icp_forests_users_read;


--
-- Name: d_affect_old_branch; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_affect_old_branch FROM PUBLIC;
REVOKE ALL ON TABLE d_affect_old_branch FROM geoadmin;
GRANT ALL ON TABLE d_affect_old_branch TO geoadmin;
GRANT SELECT ON TABLE d_affect_old_branch TO icp_forests_users_read;


--
-- Name: d_affect_old_stem; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_affect_old_stem FROM PUBLIC;
REVOKE ALL ON TABLE d_affect_old_stem FROM geoadmin;
GRANT ALL ON TABLE d_affect_old_stem TO geoadmin;
GRANT SELECT ON TABLE d_affect_old_stem TO icp_forests_users_read;


--
-- Name: d_affectpart; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_affectpart FROM PUBLIC;
REVOKE ALL ON TABLE d_affectpart FROM geoadmin;
GRANT ALL ON TABLE d_affectpart TO geoadmin;
GRANT SELECT ON TABLE d_affectpart TO icp_forests_users_read;


--
-- Name: d_age_determination; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_age_determination FROM PUBLIC;
REVOKE ALL ON TABLE d_age_determination FROM geoadmin;
GRANT ALL ON TABLE d_age_determination TO geoadmin;
GRANT SELECT ON TABLE d_age_determination TO icp_forests_users_read;


--
-- Name: d_altitude; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_altitude FROM PUBLIC;
REVOKE ALL ON TABLE d_altitude FROM geoadmin;
GRANT ALL ON TABLE d_altitude TO geoadmin;
GRANT SELECT ON TABLE d_altitude TO icp_forests_users_read;


--
-- Name: d_apical_shoot; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_apical_shoot FROM PUBLIC;
REVOKE ALL ON TABLE d_apical_shoot FROM geoadmin;
GRANT ALL ON TABLE d_apical_shoot TO geoadmin;
GRANT SELECT ON TABLE d_apical_shoot TO icp_forests_users_read;


--
-- Name: d_branches_damage; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_branches_damage FROM PUBLIC;
REVOKE ALL ON TABLE d_branches_damage FROM geoadmin;
GRANT ALL ON TABLE d_branches_damage TO geoadmin;
GRANT SELECT ON TABLE d_branches_damage TO icp_forests_users_read;


--
-- Name: d_bsb_accuracy; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_bsb_accuracy FROM PUBLIC;
REVOKE ALL ON TABLE d_bsb_accuracy FROM geoadmin;
GRANT ALL ON TABLE d_bsb_accuracy TO geoadmin;
GRANT SELECT ON TABLE d_bsb_accuracy TO icp_forests_users_read;


--
-- Name: d_bsb_age; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_bsb_age FROM PUBLIC;
REVOKE ALL ON TABLE d_bsb_age FROM geoadmin;
GRANT ALL ON TABLE d_bsb_age TO geoadmin;
GRANT SELECT ON TABLE d_bsb_age TO icp_forests_users_read;


--
-- Name: d_bsb_canclo; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_bsb_canclo FROM PUBLIC;
REVOKE ALL ON TABLE d_bsb_canclo FROM geoadmin;
GRANT ALL ON TABLE d_bsb_canclo TO geoadmin;
GRANT SELECT ON TABLE d_bsb_canclo TO icp_forests_users_read;


--
-- Name: d_bsb_country; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_bsb_country FROM PUBLIC;
REVOKE ALL ON TABLE d_bsb_country FROM geoadmin;
GRANT ALL ON TABLE d_bsb_country TO geoadmin;
GRANT SELECT ON TABLE d_bsb_country TO icp_forests_users_read;


--
-- Name: d_bsb_decay; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_bsb_decay FROM PUBLIC;
REVOKE ALL ON TABLE d_bsb_decay FROM geoadmin;
GRANT ALL ON TABLE d_bsb_decay TO geoadmin;
GRANT SELECT ON TABLE d_bsb_decay TO icp_forests_users_read;


--
-- Name: d_bsb_dwremov; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_bsb_dwremov FROM PUBLIC;
REVOKE ALL ON TABLE d_bsb_dwremov FROM geoadmin;
GRANT ALL ON TABLE d_bsb_dwremov TO geoadmin;
GRANT SELECT ON TABLE d_bsb_dwremov TO icp_forests_users_read;


--
-- Name: d_bsb_dwspe; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_bsb_dwspe FROM PUBLIC;
REVOKE ALL ON TABLE d_bsb_dwspe FROM geoadmin;
GRANT ALL ON TABLE d_bsb_dwspe TO geoadmin;
GRANT SELECT ON TABLE d_bsb_dwspe TO icp_forests_users_read;


--
-- Name: d_bsb_dwtype; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_bsb_dwtype FROM PUBLIC;
REVOKE ALL ON TABLE d_bsb_dwtype FROM geoadmin;
GRANT ALL ON TABLE d_bsb_dwtype TO geoadmin;
GRANT SELECT ON TABLE d_bsb_dwtype TO icp_forests_users_read;


--
-- Name: d_bsb_eftc; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_bsb_eftc FROM PUBLIC;
REVOKE ALL ON TABLE d_bsb_eftc FROM geoadmin;
GRANT ALL ON TABLE d_bsb_eftc TO geoadmin;
GRANT SELECT ON TABLE d_bsb_eftc TO icp_forests_users_read;


--
-- Name: d_bsb_fence; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_bsb_fence FROM PUBLIC;
REVOKE ALL ON TABLE d_bsb_fence FROM geoadmin;
GRANT ALL ON TABLE d_bsb_fence TO geoadmin;
GRANT SELECT ON TABLE d_bsb_fence TO icp_forests_users_read;


--
-- Name: d_bsb_fortype; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_bsb_fortype FROM PUBLIC;
REVOKE ALL ON TABLE d_bsb_fortype FROM geoadmin;
GRANT ALL ON TABLE d_bsb_fortype TO geoadmin;
GRANT SELECT ON TABLE d_bsb_fortype TO icp_forests_users_read;


--
-- Name: d_bsb_gpsplot; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_bsb_gpsplot FROM PUBLIC;
REVOKE ALL ON TABLE d_bsb_gpsplot FROM geoadmin;
GRANT ALL ON TABLE d_bsb_gpsplot TO geoadmin;
GRANT SELECT ON TABLE d_bsb_gpsplot TO icp_forests_users_read;


--
-- Name: d_bsb_layer; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_bsb_layer FROM PUBLIC;
REVOKE ALL ON TABLE d_bsb_layer FROM geoadmin;
GRANT ALL ON TABLE d_bsb_layer TO geoadmin;
GRANT SELECT ON TABLE d_bsb_layer TO icp_forests_users_read;


--
-- Name: d_bsb_manage; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_bsb_manage FROM PUBLIC;
REVOKE ALL ON TABLE d_bsb_manage FROM geoadmin;
GRANT ALL ON TABLE d_bsb_manage TO geoadmin;
GRANT SELECT ON TABLE d_bsb_manage TO icp_forests_users_read;


--
-- Name: d_bsb_orient; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_bsb_orient FROM PUBLIC;
REVOKE ALL ON TABLE d_bsb_orient FROM geoadmin;
GRANT ALL ON TABLE d_bsb_orient TO geoadmin;
GRANT SELECT ON TABLE d_bsb_orient TO icp_forests_users_read;


--
-- Name: d_bsb_origin; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_bsb_origin FROM PUBLIC;
REVOKE ALL ON TABLE d_bsb_origin FROM geoadmin;
GRANT ALL ON TABLE d_bsb_origin TO geoadmin;
GRANT SELECT ON TABLE d_bsb_origin TO icp_forests_users_read;


--
-- Name: d_bsb_prevuse; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_bsb_prevuse FROM PUBLIC;
REVOKE ALL ON TABLE d_bsb_prevuse FROM geoadmin;
GRANT ALL ON TABLE d_bsb_prevuse TO geoadmin;
GRANT SELECT ON TABLE d_bsb_prevuse TO icp_forests_users_read;


--
-- Name: d_bsb_subplot; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_bsb_subplot FROM PUBLIC;
REVOKE ALL ON TABLE d_bsb_subplot FROM geoadmin;
GRANT ALL ON TABLE d_bsb_subplot TO geoadmin;
GRANT SELECT ON TABLE d_bsb_subplot TO icp_forests_users_read;


--
-- Name: d_bsb_treelay; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_bsb_treelay FROM PUBLIC;
REVOKE ALL ON TABLE d_bsb_treelay FROM geoadmin;
GRANT ALL ON TABLE d_bsb_treelay TO geoadmin;
GRANT SELECT ON TABLE d_bsb_treelay TO icp_forests_users_read;


--
-- Name: d_bsb_treemix; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_bsb_treemix FROM PUBLIC;
REVOKE ALL ON TABLE d_bsb_treemix FROM geoadmin;
GRANT ALL ON TABLE d_bsb_treemix TO geoadmin;
GRANT SELECT ON TABLE d_bsb_treemix TO icp_forests_users_read;


--
-- Name: d_bsb_tspecies; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_bsb_tspecies FROM PUBLIC;
REVOKE ALL ON TABLE d_bsb_tspecies FROM geoadmin;
GRANT ALL ON TABLE d_bsb_tspecies TO geoadmin;
GRANT SELECT ON TABLE d_bsb_tspecies TO icp_forests_users_read;


--
-- Name: d_bsb_tstatus; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_bsb_tstatus FROM PUBLIC;
REVOKE ALL ON TABLE d_bsb_tstatus FROM geoadmin;
GRANT ALL ON TABLE d_bsb_tstatus TO geoadmin;
GRANT SELECT ON TABLE d_bsb_tstatus TO icp_forests_users_read;


--
-- Name: d_canopy; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_canopy FROM PUBLIC;
REVOKE ALL ON TABLE d_canopy FROM geoadmin;
GRANT ALL ON TABLE d_canopy TO geoadmin;
GRANT SELECT ON TABLE d_canopy TO icp_forests_users_read;


--
-- Name: d_cause; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_cause FROM PUBLIC;
REVOKE ALL ON TABLE d_cause FROM geoadmin;
GRANT ALL ON TABLE d_cause TO geoadmin;
GRANT SELECT ON TABLE d_cause TO icp_forests_users_read;


--
-- Name: d_cause_sc_name; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_cause_sc_name FROM PUBLIC;
REVOKE ALL ON TABLE d_cause_sc_name FROM geoadmin;
GRANT ALL ON TABLE d_cause_sc_name TO geoadmin;
GRANT SELECT ON TABLE d_cause_sc_name TO icp_forests_users_read;


--
-- Name: d_cdrd_n; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_cdrd_n FROM PUBLIC;
REVOKE ALL ON TABLE d_cdrd_n FROM geoadmin;
GRANT ALL ON TABLE d_cdrd_n TO geoadmin;
GRANT SELECT ON TABLE d_cdrd_n TO icp_forests_users_read;


--
-- Name: d_certainty; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_certainty FROM PUBLIC;
REVOKE ALL ON TABLE d_certainty FROM geoadmin;
GRANT ALL ON TABLE d_certainty TO geoadmin;
GRANT SELECT ON TABLE d_certainty TO icp_forests_users_read;


--
-- Name: d_climatic; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_climatic FROM PUBLIC;
REVOKE ALL ON TABLE d_climatic FROM geoadmin;
GRANT ALL ON TABLE d_climatic TO geoadmin;
GRANT SELECT ON TABLE d_climatic TO icp_forests_users_read;


--
-- Name: d_colour; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_colour FROM PUBLIC;
REVOKE ALL ON TABLE d_colour FROM geoadmin;
GRANT ALL ON TABLE d_colour TO geoadmin;
GRANT SELECT ON TABLE d_colour TO icp_forests_users_read;


--
-- Name: d_compound_aq; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_compound_aq FROM PUBLIC;
REVOKE ALL ON TABLE d_compound_aq FROM geoadmin;
GRANT ALL ON TABLE d_compound_aq TO geoadmin;
GRANT SELECT ON TABLE d_compound_aq TO icp_forests_users_read;


--
-- Name: d_crown_assess; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_crown_assess FROM PUBLIC;
REVOKE ALL ON TABLE d_crown_assess FROM geoadmin;
GRANT ALL ON TABLE d_crown_assess TO geoadmin;
GRANT SELECT ON TABLE d_crown_assess TO icp_forests_users_read;


--
-- Name: d_crown_form; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_crown_form FROM PUBLIC;
REVOKE ALL ON TABLE d_crown_form FROM geoadmin;
GRANT ALL ON TABLE d_crown_form TO geoadmin;
GRANT SELECT ON TABLE d_crown_form TO icp_forests_users_read;


--
-- Name: d_damage_age; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_damage_age FROM PUBLIC;
REVOKE ALL ON TABLE d_damage_age FROM geoadmin;
GRANT ALL ON TABLE d_damage_age TO geoadmin;
GRANT SELECT ON TABLE d_damage_age TO icp_forests_users_read;


--
-- Name: d_damage_foliage_type; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_damage_foliage_type FROM PUBLIC;
REVOKE ALL ON TABLE d_damage_foliage_type FROM geoadmin;
GRANT ALL ON TABLE d_damage_foliage_type TO geoadmin;
GRANT SELECT ON TABLE d_damage_foliage_type TO icp_forests_users_read;


--
-- Name: d_damage_stem_type; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_damage_stem_type FROM PUBLIC;
REVOKE ALL ON TABLE d_damage_stem_type FROM geoadmin;
GRANT ALL ON TABLE d_damage_stem_type TO geoadmin;
GRANT SELECT ON TABLE d_damage_stem_type TO icp_forests_users_read;


--
-- Name: d_decay; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_decay FROM PUBLIC;
REVOKE ALL ON TABLE d_decay FROM geoadmin;
GRANT ALL ON TABLE d_decay TO geoadmin;
GRANT SELECT ON TABLE d_decay TO icp_forests_users_read;


--
-- Name: d_defoliation; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_defoliation FROM PUBLIC;
REVOKE ALL ON TABLE d_defoliation FROM geoadmin;
GRANT ALL ON TABLE d_defoliation TO geoadmin;
GRANT SELECT ON TABLE d_defoliation TO icp_forests_users_read;


--
-- Name: d_defoliation_class; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_defoliation_class FROM PUBLIC;
REVOKE ALL ON TABLE d_defoliation_class FROM geoadmin;
GRANT ALL ON TABLE d_defoliation_class TO geoadmin;
GRANT SELECT ON TABLE d_defoliation_class TO icp_forests_users_read;


--
-- Name: d_defoliation_type; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_defoliation_type FROM PUBLIC;
REVOKE ALL ON TABLE d_defoliation_type FROM geoadmin;
GRANT ALL ON TABLE d_defoliation_type TO geoadmin;
GRANT SELECT ON TABLE d_defoliation_type TO icp_forests_users_read;


--
-- Name: d_dendrometer; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_dendrometer FROM PUBLIC;
REVOKE ALL ON TABLE d_dendrometer FROM geoadmin;
GRANT ALL ON TABLE d_dendrometer TO geoadmin;
GRANT SELECT ON TABLE d_dendrometer TO icp_forests_users_read;


--
-- Name: d_depth_level_soil; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_depth_level_soil FROM PUBLIC;
REVOKE ALL ON TABLE d_depth_level_soil FROM geoadmin;
GRANT ALL ON TABLE d_depth_level_soil TO geoadmin;
GRANT SELECT ON TABLE d_depth_level_soil TO icp_forests_users_read;


--
-- Name: d_depth_level_sw; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_depth_level_sw FROM PUBLIC;
REVOKE ALL ON TABLE d_depth_level_sw FROM geoadmin;
GRANT ALL ON TABLE d_depth_level_sw TO geoadmin;
GRANT SELECT ON TABLE d_depth_level_sw TO icp_forests_users_read;


--
-- Name: d_det_top_height; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_det_top_height FROM PUBLIC;
REVOKE ALL ON TABLE d_det_top_height FROM geoadmin;
GRANT ALL ON TABLE d_det_top_height TO geoadmin;
GRANT SELECT ON TABLE d_det_top_height TO icp_forests_users_read;


--
-- Name: d_determination_dp_so; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_determination_dp_so FROM PUBLIC;
REVOKE ALL ON TABLE d_determination_dp_so FROM geoadmin;
GRANT ALL ON TABLE d_determination_dp_so TO geoadmin;
GRANT SELECT ON TABLE d_determination_dp_so TO icp_forests_users_read;


--
-- Name: d_determination_dp_ss; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_determination_dp_ss FROM PUBLIC;
REVOKE ALL ON TABLE d_determination_dp_ss FROM geoadmin;
GRANT ALL ON TABLE d_determination_dp_ss TO geoadmin;
GRANT SELECT ON TABLE d_determination_dp_ss TO icp_forests_users_read;


--
-- Name: d_determination_fo_gb_lf; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_determination_fo_gb_lf FROM PUBLIC;
REVOKE ALL ON TABLE d_determination_fo_gb_lf FROM geoadmin;
GRANT ALL ON TABLE d_determination_fo_gb_lf TO geoadmin;
GRANT SELECT ON TABLE d_determination_fo_gb_lf TO icp_forests_users_read;


--
-- Name: d_determination_folfgv; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_determination_folfgv FROM PUBLIC;
REVOKE ALL ON TABLE d_determination_folfgv FROM geoadmin;
GRANT ALL ON TABLE d_determination_folfgv TO geoadmin;
GRANT SELECT ON TABLE d_determination_folfgv TO icp_forests_users_read;


--
-- Name: d_determination_la; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_determination_la FROM PUBLIC;
REVOKE ALL ON TABLE d_determination_la FROM geoadmin;
GRANT ALL ON TABLE d_determination_la TO geoadmin;
GRANT SELECT ON TABLE d_determination_la TO icp_forests_users_read;


--
-- Name: d_determination_so; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_determination_so FROM PUBLIC;
REVOKE ALL ON TABLE d_determination_so FROM geoadmin;
GRANT ALL ON TABLE d_determination_so TO geoadmin;
GRANT SELECT ON TABLE d_determination_so TO icp_forests_users_read;


--
-- Name: d_dieback; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_dieback FROM PUBLIC;
REVOKE ALL ON TABLE d_dieback FROM geoadmin;
GRANT ALL ON TABLE d_dieback TO geoadmin;
GRANT SELECT ON TABLE d_dieback TO icp_forests_users_read;


--
-- Name: d_dieback_extent; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_dieback_extent FROM PUBLIC;
REVOKE ALL ON TABLE d_dieback_extent FROM geoadmin;
GRANT ALL ON TABLE d_dieback_extent TO geoadmin;
GRANT SELECT ON TABLE d_dieback_extent TO icp_forests_users_read;


--
-- Name: d_direction; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_direction FROM PUBLIC;
REVOKE ALL ON TABLE d_direction FROM geoadmin;
GRANT ALL ON TABLE d_direction TO geoadmin;
GRANT SELECT ON TABLE d_direction TO icp_forests_users_read;


--
-- Name: d_discol_extent; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_discol_extent FROM PUBLIC;
REVOKE ALL ON TABLE d_discol_extent FROM geoadmin;
GRANT ALL ON TABLE d_discol_extent TO geoadmin;
GRANT SELECT ON TABLE d_discol_extent TO icp_forests_users_read;


--
-- Name: d_discol_type; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_discol_type FROM PUBLIC;
REVOKE ALL ON TABLE d_discol_type FROM geoadmin;
GRANT ALL ON TABLE d_discol_type TO geoadmin;
GRANT SELECT ON TABLE d_discol_type TO icp_forests_users_read;


--
-- Name: d_discolouration; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_discolouration FROM PUBLIC;
REVOKE ALL ON TABLE d_discolouration FROM geoadmin;
GRANT ALL ON TABLE d_discolouration TO geoadmin;
GRANT SELECT ON TABLE d_discolouration TO icp_forests_users_read;


--
-- Name: d_dw_rem; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_dw_rem FROM PUBLIC;
REVOKE ALL ON TABLE d_dw_rem FROM geoadmin;
GRANT ALL ON TABLE d_dw_rem TO geoadmin;
GRANT SELECT ON TABLE d_dw_rem TO icp_forests_users_read;


--
-- Name: d_dw_type; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_dw_type FROM PUBLIC;
REVOKE ALL ON TABLE d_dw_type FROM geoadmin;
GRANT ALL ON TABLE d_dw_type TO geoadmin;
GRANT SELECT ON TABLE d_dw_type TO icp_forests_users_read;


--
-- Name: d_epiphytes; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_epiphytes FROM PUBLIC;
REVOKE ALL ON TABLE d_epiphytes FROM geoadmin;
GRANT ALL ON TABLE d_epiphytes TO geoadmin;
GRANT SELECT ON TABLE d_epiphytes TO icp_forests_users_read;


--
-- Name: d_event; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_event FROM PUBLIC;
REVOKE ALL ON TABLE d_event FROM geoadmin;
GRANT ALL ON TABLE d_event TO geoadmin;
GRANT SELECT ON TABLE d_event TO icp_forests_users_read;


--
-- Name: d_event_score; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_event_score FROM PUBLIC;
REVOKE ALL ON TABLE d_event_score FROM geoadmin;
GRANT ALL ON TABLE d_event_score TO geoadmin;
GRANT SELECT ON TABLE d_event_score TO icp_forests_users_read;


--
-- Name: d_exposure; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_exposure FROM PUBLIC;
REVOKE ALL ON TABLE d_exposure FROM geoadmin;
GRANT ALL ON TABLE d_exposure TO geoadmin;
GRANT SELECT ON TABLE d_exposure TO icp_forests_users_read;


--
-- Name: d_extent; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_extent FROM PUBLIC;
REVOKE ALL ON TABLE d_extent FROM geoadmin;
GRANT ALL ON TABLE d_extent TO geoadmin;
GRANT SELECT ON TABLE d_extent TO icp_forests_users_read;


--
-- Name: d_fence; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_fence FROM PUBLIC;
REVOKE ALL ON TABLE d_fence FROM geoadmin;
GRANT ALL ON TABLE d_fence TO geoadmin;
GRANT SELECT ON TABLE d_fence TO icp_forests_users_read;


--
-- Name: d_fencing; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_fencing FROM PUBLIC;
REVOKE ALL ON TABLE d_fencing FROM geoadmin;
GRANT ALL ON TABLE d_fencing TO geoadmin;
GRANT SELECT ON TABLE d_fencing TO icp_forests_users_read;


--
-- Name: d_flowering; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_flowering FROM PUBLIC;
REVOKE ALL ON TABLE d_flowering FROM geoadmin;
GRANT ALL ON TABLE d_flowering TO geoadmin;
GRANT SELECT ON TABLE d_flowering TO icp_forests_users_read;


--
-- Name: d_foliage_age; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_foliage_age FROM PUBLIC;
REVOKE ALL ON TABLE d_foliage_age FROM geoadmin;
GRANT ALL ON TABLE d_foliage_age TO geoadmin;
GRANT SELECT ON TABLE d_foliage_age TO icp_forests_users_read;


--
-- Name: d_foliage_damage; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_foliage_damage FROM PUBLIC;
REVOKE ALL ON TABLE d_foliage_damage FROM geoadmin;
GRANT ALL ON TABLE d_foliage_damage TO geoadmin;
GRANT SELECT ON TABLE d_foliage_damage TO icp_forests_users_read;


--
-- Name: d_foliage_damage_extent; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_foliage_damage_extent FROM PUBLIC;
REVOKE ALL ON TABLE d_foliage_damage_extent FROM geoadmin;
GRANT ALL ON TABLE d_foliage_damage_extent TO geoadmin;
GRANT SELECT ON TABLE d_foliage_damage_extent TO icp_forests_users_read;


--
-- Name: d_foliage_deform; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_foliage_deform FROM PUBLIC;
REVOKE ALL ON TABLE d_foliage_deform FROM geoadmin;
GRANT ALL ON TABLE d_foliage_deform TO geoadmin;
GRANT SELECT ON TABLE d_foliage_deform TO icp_forests_users_read;


--
-- Name: d_foliage_deform_ext; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_foliage_deform_ext FROM PUBLIC;
REVOKE ALL ON TABLE d_foliage_deform_ext FROM geoadmin;
GRANT ALL ON TABLE d_foliage_deform_ext TO geoadmin;
GRANT SELECT ON TABLE d_foliage_deform_ext TO icp_forests_users_read;


--
-- Name: d_foliage_size; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_foliage_size FROM PUBLIC;
REVOKE ALL ON TABLE d_foliage_size FROM geoadmin;
GRANT ALL ON TABLE d_foliage_size TO geoadmin;
GRANT SELECT ON TABLE d_foliage_size TO icp_forests_users_read;


--
-- Name: d_foliage_transparency; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_foliage_transparency FROM PUBLIC;
REVOKE ALL ON TABLE d_foliage_transparency FROM geoadmin;
GRANT ALL ON TABLE d_foliage_transparency TO geoadmin;
GRANT SELECT ON TABLE d_foliage_transparency TO icp_forests_users_read;


--
-- Name: d_forest_owner; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_forest_owner FROM PUBLIC;
REVOKE ALL ON TABLE d_forest_owner FROM geoadmin;
GRANT ALL ON TABLE d_forest_owner TO geoadmin;
GRANT SELECT ON TABLE d_forest_owner TO icp_forests_users_read;


--
-- Name: d_forest_type; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_forest_type FROM PUBLIC;
REVOKE ALL ON TABLE d_forest_type FROM geoadmin;
GRANT ALL ON TABLE d_forest_type TO geoadmin;
GRANT SELECT ON TABLE d_forest_type TO icp_forests_users_read;


--
-- Name: d_forest_type_bd; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_forest_type_bd FROM PUBLIC;
REVOKE ALL ON TABLE d_forest_type_bd FROM geoadmin;
GRANT ALL ON TABLE d_forest_type_bd TO geoadmin;
GRANT SELECT ON TABLE d_forest_type_bd TO icp_forests_users_read;


--
-- Name: d_fruiting; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_fruiting FROM PUBLIC;
REVOKE ALL ON TABLE d_fruiting FROM geoadmin;
GRANT ALL ON TABLE d_fruiting TO geoadmin;
GRANT SELECT ON TABLE d_fruiting TO icp_forests_users_read;


--
-- Name: d_functional_group; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_functional_group FROM PUBLIC;
REVOKE ALL ON TABLE d_functional_group FROM geoadmin;
GRANT ALL ON TABLE d_functional_group TO geoadmin;
GRANT SELECT ON TABLE d_functional_group TO icp_forests_users_read;


--
-- Name: d_gr_quality_code; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_gr_quality_code FROM PUBLIC;
REVOKE ALL ON TABLE d_gr_quality_code FROM geoadmin;
GRANT ALL ON TABLE d_gr_quality_code TO geoadmin;
GRANT SELECT ON TABLE d_gr_quality_code TO icp_forests_users_read;


--
-- Name: d_ground_water_table; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_ground_water_table FROM PUBLIC;
REVOKE ALL ON TABLE d_ground_water_table FROM geoadmin;
GRANT ALL ON TABLE d_ground_water_table TO geoadmin;
GRANT SELECT ON TABLE d_ground_water_table TO icp_forests_users_read;


--
-- Name: d_hori_disc; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_hori_disc FROM PUBLIC;
REVOKE ALL ON TABLE d_hori_disc FROM geoadmin;
GRANT ALL ON TABLE d_hori_disc TO geoadmin;
GRANT SELECT ON TABLE d_hori_disc TO icp_forests_users_read;


--
-- Name: d_hori_distinct; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_hori_distinct FROM PUBLIC;
REVOKE ALL ON TABLE d_hori_distinct FROM geoadmin;
GRANT ALL ON TABLE d_hori_distinct TO geoadmin;
GRANT SELECT ON TABLE d_hori_distinct TO icp_forests_users_read;


--
-- Name: d_hori_master; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_hori_master FROM PUBLIC;
REVOKE ALL ON TABLE d_hori_master FROM geoadmin;
GRANT ALL ON TABLE d_hori_master TO geoadmin;
GRANT SELECT ON TABLE d_hori_master TO icp_forests_users_read;


--
-- Name: d_hori_sub; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_hori_sub FROM PUBLIC;
REVOKE ALL ON TABLE d_hori_sub FROM geoadmin;
GRANT ALL ON TABLE d_hori_sub TO geoadmin;
GRANT SELECT ON TABLE d_hori_sub TO icp_forests_users_read;


--
-- Name: d_hori_topography; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_hori_topography FROM PUBLIC;
REVOKE ALL ON TABLE d_hori_topography FROM geoadmin;
GRANT ALL ON TABLE d_hori_topography TO geoadmin;
GRANT SELECT ON TABLE d_hori_topography TO icp_forests_users_read;


--
-- Name: d_hori_vertical; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_hori_vertical FROM PUBLIC;
REVOKE ALL ON TABLE d_hori_vertical FROM geoadmin;
GRANT ALL ON TABLE d_hori_vertical TO geoadmin;
GRANT SELECT ON TABLE d_hori_vertical TO icp_forests_users_read;


--
-- Name: d_humus; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_humus FROM PUBLIC;
REVOKE ALL ON TABLE d_humus FROM geoadmin;
GRANT ALL ON TABLE d_humus TO geoadmin;
GRANT SELECT ON TABLE d_humus TO icp_forests_users_read;


--
-- Name: d_instrument; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_instrument FROM PUBLIC;
REVOKE ALL ON TABLE d_instrument FROM geoadmin;
GRANT ALL ON TABLE d_instrument TO geoadmin;
GRANT SELECT ON TABLE d_instrument TO icp_forests_users_read;


--
-- Name: d_intensity_fruiting; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_intensity_fruiting FROM PUBLIC;
REVOKE ALL ON TABLE d_intensity_fruiting FROM geoadmin;
GRANT ALL ON TABLE d_intensity_fruiting TO geoadmin;
GRANT SELECT ON TABLE d_intensity_fruiting TO icp_forests_users_read;


--
-- Name: d_land_use_so; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_land_use_so FROM PUBLIC;
REVOKE ALL ON TABLE d_land_use_so FROM geoadmin;
GRANT ALL ON TABLE d_land_use_so TO geoadmin;
GRANT SELECT ON TABLE d_land_use_so TO icp_forests_users_read;


--
-- Name: d_layer; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_layer FROM PUBLIC;
REVOKE ALL ON TABLE d_layer FROM geoadmin;
GRANT ALL ON TABLE d_layer TO geoadmin;
GRANT SELECT ON TABLE d_layer TO icp_forests_users_read;


--
-- Name: d_layer_surface; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_layer_surface FROM PUBLIC;
REVOKE ALL ON TABLE d_layer_surface FROM geoadmin;
GRANT ALL ON TABLE d_layer_surface TO geoadmin;
GRANT SELECT ON TABLE d_layer_surface TO icp_forests_users_read;


--
-- Name: d_leaves_type; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_leaves_type FROM PUBLIC;
REVOKE ALL ON TABLE d_leaves_type FROM geoadmin;
GRANT ALL ON TABLE d_leaves_type TO geoadmin;
GRANT SELECT ON TABLE d_leaves_type TO icp_forests_users_read;


--
-- Name: d_lf_fo_lqa; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_lf_fo_lqa FROM PUBLIC;
REVOKE ALL ON TABLE d_lf_fo_lqa FROM geoadmin;
GRANT ALL ON TABLE d_lf_fo_lqa TO geoadmin;
GRANT SELECT ON TABLE d_lf_fo_lqa TO icp_forests_users_read;


--
-- Name: d_litter_sample; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_litter_sample FROM PUBLIC;
REVOKE ALL ON TABLE d_litter_sample FROM geoadmin;
GRANT ALL ON TABLE d_litter_sample TO geoadmin;
GRANT SELECT ON TABLE d_litter_sample TO icp_forests_users_read;


--
-- Name: d_location; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_location FROM PUBLIC;
REVOKE ALL ON TABLE d_location FROM geoadmin;
GRANT ALL ON TABLE d_location TO geoadmin;
GRANT SELECT ON TABLE d_location TO icp_forests_users_read;


--
-- Name: d_loccrown; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_loccrown FROM PUBLIC;
REVOKE ALL ON TABLE d_loccrown FROM geoadmin;
GRANT ALL ON TABLE d_loccrown TO geoadmin;
GRANT SELECT ON TABLE d_loccrown TO icp_forests_users_read;


--
-- Name: d_loccrown_primary; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_loccrown_primary FROM PUBLIC;
REVOKE ALL ON TABLE d_loccrown_primary FROM geoadmin;
GRANT ALL ON TABLE d_loccrown_primary TO geoadmin;
GRANT SELECT ON TABLE d_loccrown_primary TO icp_forests_users_read;


--
-- Name: d_manage_intensity; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_manage_intensity FROM PUBLIC;
REVOKE ALL ON TABLE d_manage_intensity FROM geoadmin;
GRANT ALL ON TABLE d_manage_intensity TO geoadmin;
GRANT SELECT ON TABLE d_manage_intensity TO icp_forests_users_read;


--
-- Name: d_manage_method; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_manage_method FROM PUBLIC;
REVOKE ALL ON TABLE d_manage_method FROM geoadmin;
GRANT ALL ON TABLE d_manage_method TO geoadmin;
GRANT SELECT ON TABLE d_manage_method TO icp_forests_users_read;


--
-- Name: d_manage_type; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_manage_type FROM PUBLIC;
REVOKE ALL ON TABLE d_manage_type FROM geoadmin;
GRANT ALL ON TABLE d_manage_type TO geoadmin;
GRANT SELECT ON TABLE d_manage_type TO icp_forests_users_read;


--
-- Name: d_manage_type_bd; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_manage_type_bd FROM PUBLIC;
REVOKE ALL ON TABLE d_manage_type_bd FROM geoadmin;
GRANT ALL ON TABLE d_manage_type_bd TO geoadmin;
GRANT SELECT ON TABLE d_manage_type_bd TO icp_forests_users_read;


--
-- Name: d_mean_age; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_mean_age FROM PUBLIC;
REVOKE ALL ON TABLE d_mean_age FROM geoadmin;
GRANT ALL ON TABLE d_mean_age TO geoadmin;
GRANT SELECT ON TABLE d_mean_age TO icp_forests_users_read;


--
-- Name: d_mean_age_bd; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_mean_age_bd FROM PUBLIC;
REVOKE ALL ON TABLE d_mean_age_bd FROM geoadmin;
GRANT ALL ON TABLE d_mean_age_bd TO geoadmin;
GRANT SELECT ON TABLE d_mean_age_bd TO icp_forests_users_read;


--
-- Name: d_measurement_average; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_measurement_average FROM PUBLIC;
REVOKE ALL ON TABLE d_measurement_average FROM geoadmin;
GRANT ALL ON TABLE d_measurement_average TO geoadmin;
GRANT SELECT ON TABLE d_measurement_average TO icp_forests_users_read;


--
-- Name: d_method_ph; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_method_ph FROM PUBLIC;
REVOKE ALL ON TABLE d_method_ph FROM geoadmin;
GRANT ALL ON TABLE d_method_ph TO geoadmin;
GRANT SELECT ON TABLE d_method_ph TO icp_forests_users_read;


--
-- Name: d_nfi_status; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_nfi_status FROM PUBLIC;
REVOKE ALL ON TABLE d_nfi_status FROM geoadmin;
GRANT ALL ON TABLE d_nfi_status TO geoadmin;
GRANT SELECT ON TABLE d_nfi_status TO icp_forests_users_read;


--
-- Name: d_notimb_util; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_notimb_util FROM PUBLIC;
REVOKE ALL ON TABLE d_notimb_util FROM geoadmin;
GRANT ALL ON TABLE d_notimb_util TO geoadmin;
GRANT SELECT ON TABLE d_notimb_util TO icp_forests_users_read;


--
-- Name: d_orientation; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_orientation FROM PUBLIC;
REVOKE ALL ON TABLE d_orientation FROM geoadmin;
GRANT ALL ON TABLE d_orientation TO geoadmin;
GRANT SELECT ON TABLE d_orientation TO icp_forests_users_read;


--
-- Name: d_origin_meteo; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_origin_meteo FROM PUBLIC;
REVOKE ALL ON TABLE d_origin_meteo FROM geoadmin;
GRANT ALL ON TABLE d_origin_meteo TO geoadmin;
GRANT SELECT ON TABLE d_origin_meteo TO icp_forests_users_read;


--
-- Name: d_parameter_aq; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_parameter_aq FROM PUBLIC;
REVOKE ALL ON TABLE d_parameter_aq FROM geoadmin;
GRANT ALL ON TABLE d_parameter_aq TO geoadmin;
GRANT SELECT ON TABLE d_parameter_aq TO icp_forests_users_read;


--
-- Name: d_parameter_dp; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_parameter_dp FROM PUBLIC;
REVOKE ALL ON TABLE d_parameter_dp FROM geoadmin;
GRANT ALL ON TABLE d_parameter_dp TO geoadmin;
GRANT SELECT ON TABLE d_parameter_dp TO icp_forests_users_read;


--
-- Name: d_parameter_fogv; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_parameter_fogv FROM PUBLIC;
REVOKE ALL ON TABLE d_parameter_fogv FROM geoadmin;
GRANT ALL ON TABLE d_parameter_fogv TO geoadmin;
GRANT SELECT ON TABLE d_parameter_fogv TO icp_forests_users_read;


--
-- Name: d_parameter_la; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_parameter_la FROM PUBLIC;
REVOKE ALL ON TABLE d_parameter_la FROM geoadmin;
GRANT ALL ON TABLE d_parameter_la TO geoadmin;
GRANT SELECT ON TABLE d_parameter_la TO icp_forests_users_read;


--
-- Name: d_parameter_lf; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_parameter_lf FROM PUBLIC;
REVOKE ALL ON TABLE d_parameter_lf FROM geoadmin;
GRANT ALL ON TABLE d_parameter_lf TO geoadmin;
GRANT SELECT ON TABLE d_parameter_lf TO icp_forests_users_read;


--
-- Name: d_parameter_so; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_parameter_so FROM PUBLIC;
REVOKE ALL ON TABLE d_parameter_so FROM geoadmin;
GRANT ALL ON TABLE d_parameter_so TO geoadmin;
GRANT SELECT ON TABLE d_parameter_so TO icp_forests_users_read;


--
-- Name: d_parameter_ss; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_parameter_ss FROM PUBLIC;
REVOKE ALL ON TABLE d_parameter_ss FROM geoadmin;
GRANT ALL ON TABLE d_parameter_ss TO geoadmin;
GRANT SELECT ON TABLE d_parameter_ss TO icp_forests_users_read;


--
-- Name: d_parent_material; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_parent_material FROM PUBLIC;
REVOKE ALL ON TABLE d_parent_material FROM geoadmin;
GRANT ALL ON TABLE d_parent_material TO geoadmin;
GRANT SELECT ON TABLE d_parent_material TO icp_forests_users_read;


--
-- Name: d_perennial; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_perennial FROM PUBLIC;
REVOKE ALL ON TABLE d_perennial FROM geoadmin;
GRANT ALL ON TABLE d_perennial TO geoadmin;
GRANT SELECT ON TABLE d_perennial TO icp_forests_users_read;


--
-- Name: d_plot_design; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_plot_design FROM PUBLIC;
REVOKE ALL ON TABLE d_plot_design FROM geoadmin;
GRANT ALL ON TABLE d_plot_design TO geoadmin;
GRANT SELECT ON TABLE d_plot_design TO icp_forests_users_read;


--
-- Name: d_plot_status; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_plot_status FROM PUBLIC;
REVOKE ALL ON TABLE d_plot_status FROM geoadmin;
GRANT ALL ON TABLE d_plot_status TO geoadmin;
GRANT SELECT ON TABLE d_plot_status TO icp_forests_users_read;


--
-- Name: d_precision_oz; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_precision_oz FROM PUBLIC;
REVOKE ALL ON TABLE d_precision_oz FROM geoadmin;
GRANT ALL ON TABLE d_precision_oz TO geoadmin;
GRANT SELECT ON TABLE d_precision_oz TO icp_forests_users_read;


--
-- Name: d_pretreatment_dp; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_pretreatment_dp FROM PUBLIC;
REVOKE ALL ON TABLE d_pretreatment_dp FROM geoadmin;
GRANT ALL ON TABLE d_pretreatment_dp TO geoadmin;
GRANT SELECT ON TABLE d_pretreatment_dp TO icp_forests_users_read;


--
-- Name: d_pretreatment_fo_gb_lf; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_pretreatment_fo_gb_lf FROM PUBLIC;
REVOKE ALL ON TABLE d_pretreatment_fo_gb_lf FROM geoadmin;
GRANT ALL ON TABLE d_pretreatment_fo_gb_lf TO geoadmin;
GRANT SELECT ON TABLE d_pretreatment_fo_gb_lf TO icp_forests_users_read;


--
-- Name: d_pretreatment_folfgv; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_pretreatment_folfgv FROM PUBLIC;
REVOKE ALL ON TABLE d_pretreatment_folfgv FROM geoadmin;
GRANT ALL ON TABLE d_pretreatment_folfgv TO geoadmin;
GRANT SELECT ON TABLE d_pretreatment_folfgv TO icp_forests_users_read;


--
-- Name: d_pretreatment_so; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_pretreatment_so FROM PUBLIC;
REVOKE ALL ON TABLE d_pretreatment_so FROM geoadmin;
GRANT ALL ON TABLE d_pretreatment_so TO geoadmin;
GRANT SELECT ON TABLE d_pretreatment_so TO icp_forests_users_read;


--
-- Name: d_preuse_bd; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_preuse_bd FROM PUBLIC;
REVOKE ALL ON TABLE d_preuse_bd FROM geoadmin;
GRANT ALL ON TABLE d_preuse_bd TO geoadmin;
GRANT SELECT ON TABLE d_preuse_bd TO icp_forests_users_read;


--
-- Name: d_prev_landuse; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_prev_landuse FROM PUBLIC;
REVOKE ALL ON TABLE d_prev_landuse FROM geoadmin;
GRANT ALL ON TABLE d_prev_landuse TO geoadmin;
GRANT SELECT ON TABLE d_prev_landuse TO icp_forests_users_read;


--
-- Name: d_protection_status; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_protection_status FROM PUBLIC;
REVOKE ALL ON TABLE d_protection_status FROM geoadmin;
GRANT ALL ON TABLE d_protection_status TO geoadmin;
GRANT SELECT ON TABLE d_protection_status TO icp_forests_users_read;


--
-- Name: d_qflags; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_qflags FROM PUBLIC;
REVOKE ALL ON TABLE d_qflags FROM geoadmin;
GRANT ALL ON TABLE d_qflags TO geoadmin;
GRANT SELECT ON TABLE d_qflags TO icp_forests_users_read;


--
-- Name: d_ref_tree; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_ref_tree FROM PUBLIC;
REVOKE ALL ON TABLE d_ref_tree FROM geoadmin;
GRANT ALL ON TABLE d_ref_tree TO geoadmin;
GRANT SELECT ON TABLE d_ref_tree TO icp_forests;
GRANT SELECT ON TABLE d_ref_tree TO icp_forests_users_read;


--
-- Name: d_removal_comp_so; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_removal_comp_so FROM PUBLIC;
REVOKE ALL ON TABLE d_removal_comp_so FROM geoadmin;
GRANT ALL ON TABLE d_removal_comp_so TO geoadmin;
GRANT SELECT ON TABLE d_removal_comp_so TO icp_forests_users_read;


--
-- Name: d_removal_mortality_ccgr; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_removal_mortality_ccgr FROM PUBLIC;
REVOKE ALL ON TABLE d_removal_mortality_ccgr FROM geoadmin;
GRANT ALL ON TABLE d_removal_mortality_ccgr TO geoadmin;
GRANT SELECT ON TABLE d_removal_mortality_ccgr TO icp_forests_users_read;


--
-- Name: d_removal_mortality_tv; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_removal_mortality_tv FROM PUBLIC;
REVOKE ALL ON TABLE d_removal_mortality_tv FROM geoadmin;
GRANT ALL ON TABLE d_removal_mortality_tv TO geoadmin;
GRANT SELECT ON TABLE d_removal_mortality_tv TO icp_forests_users_read;


--
-- Name: d_results_la; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_results_la FROM PUBLIC;
REVOKE ALL ON TABLE d_results_la FROM geoadmin;
GRANT ALL ON TABLE d_results_la TO geoadmin;
GRANT SELECT ON TABLE d_results_la TO icp_forests_users_read;


--
-- Name: d_root_abundance; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_root_abundance FROM PUBLIC;
REVOKE ALL ON TABLE d_root_abundance FROM geoadmin;
GRANT ALL ON TABLE d_root_abundance TO geoadmin;
GRANT SELECT ON TABLE d_root_abundance TO icp_forests_users_read;


--
-- Name: d_sample_prep_dp_ss; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_sample_prep_dp_ss FROM PUBLIC;
REVOKE ALL ON TABLE d_sample_prep_dp_ss FROM geoadmin;
GRANT ALL ON TABLE d_sample_prep_dp_ss TO geoadmin;
GRANT SELECT ON TABLE d_sample_prep_dp_ss TO icp_forests_users_read;


--
-- Name: d_sample_prep_so; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_sample_prep_so FROM PUBLIC;
REVOKE ALL ON TABLE d_sample_prep_so FROM geoadmin;
GRANT ALL ON TABLE d_sample_prep_so TO geoadmin;
GRANT SELECT ON TABLE d_sample_prep_so TO icp_forests_users_read;


--
-- Name: d_sampler_deposition; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_sampler_deposition FROM PUBLIC;
REVOKE ALL ON TABLE d_sampler_deposition FROM geoadmin;
GRANT ALL ON TABLE d_sampler_deposition TO geoadmin;
GRANT SELECT ON TABLE d_sampler_deposition TO icp_forests_users_read;


--
-- Name: d_sampler_deposition_harmon; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_sampler_deposition_harmon FROM PUBLIC;
REVOKE ALL ON TABLE d_sampler_deposition_harmon FROM geoadmin;
GRANT ALL ON TABLE d_sampler_deposition_harmon TO geoadmin;
GRANT SELECT ON TABLE d_sampler_deposition_harmon TO icp_forests_users_read;


--
-- Name: d_sampler_passive; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_sampler_passive FROM PUBLIC;
REVOKE ALL ON TABLE d_sampler_passive FROM geoadmin;
GRANT ALL ON TABLE d_sampler_passive TO geoadmin;
GRANT SELECT ON TABLE d_sampler_passive TO icp_forests_users_read;


--
-- Name: d_sampler_ss; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_sampler_ss FROM PUBLIC;
REVOKE ALL ON TABLE d_sampler_ss FROM geoadmin;
GRANT ALL ON TABLE d_sampler_ss TO geoadmin;
GRANT SELECT ON TABLE d_sampler_ss TO icp_forests_users_read;


--
-- Name: d_sampling_deposition; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_sampling_deposition FROM PUBLIC;
REVOKE ALL ON TABLE d_sampling_deposition FROM geoadmin;
GRANT ALL ON TABLE d_sampling_deposition TO geoadmin;
GRANT SELECT ON TABLE d_sampling_deposition TO icp_forests_users_read;


--
-- Name: d_sampling_method; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_sampling_method FROM PUBLIC;
REVOKE ALL ON TABLE d_sampling_method FROM geoadmin;
GRANT ALL ON TABLE d_sampling_method TO geoadmin;
GRANT SELECT ON TABLE d_sampling_method TO icp_forests_users_read;


--
-- Name: d_shading; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_shading FROM PUBLIC;
REVOKE ALL ON TABLE d_shading FROM geoadmin;
GRANT ALL ON TABLE d_shading TO geoadmin;
GRANT SELECT ON TABLE d_shading TO icp_forests_users_read;


--
-- Name: d_shoot_epicormic; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_shoot_epicormic FROM PUBLIC;
REVOKE ALL ON TABLE d_shoot_epicormic FROM geoadmin;
GRANT ALL ON TABLE d_shoot_epicormic TO geoadmin;
GRANT SELECT ON TABLE d_shoot_epicormic TO icp_forests_users_read;


--
-- Name: d_sieving_so; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_sieving_so FROM PUBLIC;
REVOKE ALL ON TABLE d_sieving_so FROM geoadmin;
GRANT ALL ON TABLE d_sieving_so TO geoadmin;
GRANT SELECT ON TABLE d_sieving_so TO icp_forests_users_read;


--
-- Name: d_sky_condition; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_sky_condition FROM PUBLIC;
REVOKE ALL ON TABLE d_sky_condition FROM geoadmin;
GRANT ALL ON TABLE d_sky_condition TO geoadmin;
GRANT SELECT ON TABLE d_sky_condition TO icp_forests_users_read;


--
-- Name: d_social_class; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_social_class FROM PUBLIC;
REVOKE ALL ON TABLE d_social_class FROM geoadmin;
GRANT ALL ON TABLE d_social_class TO geoadmin;
GRANT SELECT ON TABLE d_social_class TO icp_forests_users_read;


--
-- Name: d_soil_adjective; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_soil_adjective FROM PUBLIC;
REVOKE ALL ON TABLE d_soil_adjective FROM geoadmin;
GRANT ALL ON TABLE d_soil_adjective TO geoadmin;
GRANT SELECT ON TABLE d_soil_adjective TO icp_forests_users_read;


--
-- Name: d_soil_coarse_fragments; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_soil_coarse_fragments FROM PUBLIC;
REVOKE ALL ON TABLE d_soil_coarse_fragments FROM geoadmin;
GRANT ALL ON TABLE d_soil_coarse_fragments TO geoadmin;
GRANT SELECT ON TABLE d_soil_coarse_fragments TO icp_forests_users_read;


--
-- Name: d_soil_code_porosity; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_soil_code_porosity FROM PUBLIC;
REVOKE ALL ON TABLE d_soil_code_porosity FROM geoadmin;
GRANT ALL ON TABLE d_soil_code_porosity TO geoadmin;
GRANT SELECT ON TABLE d_soil_code_porosity TO icp_forests_users_read;


--
-- Name: d_soil_diagnostic_hori; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_soil_diagnostic_hori FROM PUBLIC;
REVOKE ALL ON TABLE d_soil_diagnostic_hori FROM geoadmin;
GRANT ALL ON TABLE d_soil_diagnostic_hori TO geoadmin;
GRANT SELECT ON TABLE d_soil_diagnostic_hori TO icp_forests_users_read;


--
-- Name: d_soil_diagnostic_mate; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_soil_diagnostic_mate FROM PUBLIC;
REVOKE ALL ON TABLE d_soil_diagnostic_mate FROM geoadmin;
GRANT ALL ON TABLE d_soil_diagnostic_mate TO geoadmin;
GRANT SELECT ON TABLE d_soil_diagnostic_mate TO icp_forests_users_read;


--
-- Name: d_soil_diagnostic_prop; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_soil_diagnostic_prop FROM PUBLIC;
REVOKE ALL ON TABLE d_soil_diagnostic_prop FROM geoadmin;
GRANT ALL ON TABLE d_soil_diagnostic_prop TO geoadmin;
GRANT SELECT ON TABLE d_soil_diagnostic_prop TO icp_forests_users_read;


--
-- Name: d_soil_group; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_soil_group FROM PUBLIC;
REVOKE ALL ON TABLE d_soil_group FROM geoadmin;
GRANT ALL ON TABLE d_soil_group TO geoadmin;
GRANT SELECT ON TABLE d_soil_group TO icp_forests_users_read;


--
-- Name: d_soil_moisture; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_soil_moisture FROM PUBLIC;
REVOKE ALL ON TABLE d_soil_moisture FROM geoadmin;
GRANT ALL ON TABLE d_soil_moisture TO geoadmin;
GRANT SELECT ON TABLE d_soil_moisture TO icp_forests_users_read;


--
-- Name: d_soil_specifier; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_soil_specifier FROM PUBLIC;
REVOKE ALL ON TABLE d_soil_specifier FROM geoadmin;
GRANT ALL ON TABLE d_soil_specifier TO geoadmin;
GRANT SELECT ON TABLE d_soil_specifier TO icp_forests_users_read;


--
-- Name: d_soil_structure; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_soil_structure FROM PUBLIC;
REVOKE ALL ON TABLE d_soil_structure FROM geoadmin;
GRANT ALL ON TABLE d_soil_structure TO geoadmin;
GRANT SELECT ON TABLE d_soil_structure TO icp_forests_users_read;


--
-- Name: d_soil_type; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_soil_type FROM PUBLIC;
REVOKE ALL ON TABLE d_soil_type FROM geoadmin;
GRANT ALL ON TABLE d_soil_type TO geoadmin;
GRANT SELECT ON TABLE d_soil_type TO icp_forests_users_read;


--
-- Name: d_spec_symptom; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_spec_symptom FROM PUBLIC;
REVOKE ALL ON TABLE d_spec_symptom FROM geoadmin;
GRANT ALL ON TABLE d_spec_symptom TO geoadmin;
GRANT SELECT ON TABLE d_spec_symptom TO icp_forests_users_read;


--
-- Name: d_species_group; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_species_group FROM PUBLIC;
REVOKE ALL ON TABLE d_species_group FROM geoadmin;
GRANT ALL ON TABLE d_species_group TO geoadmin;
GRANT SELECT ON TABLE d_species_group TO icp_forests_users_read;
GRANT SELECT ON TABLE d_species_group TO icp_forests;


--
-- Name: d_species_list; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_species_list FROM PUBLIC;
REVOKE ALL ON TABLE d_species_list FROM geoadmin;
GRANT ALL ON TABLE d_species_list TO geoadmin;
GRANT SELECT ON TABLE d_species_list TO icp_forests_users_read;


--
-- Name: d_stand_actual; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_stand_actual FROM PUBLIC;
REVOKE ALL ON TABLE d_stand_actual FROM geoadmin;
GRANT ALL ON TABLE d_stand_actual TO geoadmin;
GRANT SELECT ON TABLE d_stand_actual TO icp_forests_users_read;


--
-- Name: d_stand_age; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_stand_age FROM PUBLIC;
REVOKE ALL ON TABLE d_stand_age FROM geoadmin;
GRANT ALL ON TABLE d_stand_age TO geoadmin;
GRANT SELECT ON TABLE d_stand_age TO icp_forests_users_read;


--
-- Name: d_stand_history; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_stand_history FROM PUBLIC;
REVOKE ALL ON TABLE d_stand_history FROM geoadmin;
GRANT ALL ON TABLE d_stand_history TO geoadmin;
GRANT SELECT ON TABLE d_stand_history TO icp_forests_users_read;


--
-- Name: d_status_data; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_status_data FROM PUBLIC;
REVOKE ALL ON TABLE d_status_data FROM geoadmin;
GRANT ALL ON TABLE d_status_data TO geoadmin;
GRANT SELECT ON TABLE d_status_data TO icp_forests_users_read;


--
-- Name: d_stem_damage; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_stem_damage FROM PUBLIC;
REVOKE ALL ON TABLE d_stem_damage FROM geoadmin;
GRANT ALL ON TABLE d_stem_damage TO geoadmin;
GRANT SELECT ON TABLE d_stem_damage TO icp_forests_users_read;


--
-- Name: d_storey; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_storey FROM PUBLIC;
REVOKE ALL ON TABLE d_storey FROM geoadmin;
GRANT ALL ON TABLE d_storey TO geoadmin;
GRANT SELECT ON TABLE d_storey TO icp_forests_users_read;


--
-- Name: d_substrate; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_substrate FROM PUBLIC;
REVOKE ALL ON TABLE d_substrate FROM geoadmin;
GRANT ALL ON TABLE d_substrate TO geoadmin;
GRANT SELECT ON TABLE d_substrate TO icp_forests_users_read;


--
-- Name: d_sun_position; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_sun_position FROM PUBLIC;
REVOKE ALL ON TABLE d_sun_position FROM geoadmin;
GRANT ALL ON TABLE d_sun_position TO geoadmin;
GRANT SELECT ON TABLE d_sun_position TO icp_forests_users_read;


--
-- Name: d_survey_field; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_survey_field FROM PUBLIC;
REVOKE ALL ON TABLE d_survey_field FROM geoadmin;
GRANT ALL ON TABLE d_survey_field TO geoadmin;
GRANT SELECT ON TABLE d_survey_field TO icp_forests_users_read;


--
-- Name: d_survey_oz; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_survey_oz FROM PUBLIC;
REVOKE ALL ON TABLE d_survey_oz FROM geoadmin;
GRANT ALL ON TABLE d_survey_oz TO geoadmin;
GRANT SELECT ON TABLE d_survey_oz TO icp_forests_users_read;


--
-- Name: d_survey_type_gv; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_survey_type_gv FROM PUBLIC;
REVOKE ALL ON TABLE d_survey_type_gv FROM geoadmin;
GRANT ALL ON TABLE d_survey_type_gv TO geoadmin;
GRANT SELECT ON TABLE d_survey_type_gv TO icp_forests_users_read;


--
-- Name: d_surveys; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_surveys FROM PUBLIC;
REVOKE ALL ON TABLE d_surveys FROM geoadmin;
GRANT ALL ON TABLE d_surveys TO geoadmin;
GRANT SELECT ON TABLE d_surveys TO icp_forests_users_read;


--
-- Name: d_symp_leaves; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_symp_leaves FROM PUBLIC;
REVOKE ALL ON TABLE d_symp_leaves FROM geoadmin;
GRANT ALL ON TABLE d_symp_leaves TO geoadmin;
GRANT SELECT ON TABLE d_symp_leaves TO icp_forests_users_read;


--
-- Name: d_symptom; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_symptom FROM PUBLIC;
REVOKE ALL ON TABLE d_symptom FROM geoadmin;
GRANT ALL ON TABLE d_symptom TO geoadmin;
GRANT SELECT ON TABLE d_symptom TO icp_forests_users_read;


--
-- Name: d_texture_class; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_texture_class FROM PUBLIC;
REVOKE ALL ON TABLE d_texture_class FROM geoadmin;
GRANT ALL ON TABLE d_texture_class TO geoadmin;
GRANT SELECT ON TABLE d_texture_class TO icp_forests_users_read;


--
-- Name: d_transparancy; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_transparancy FROM PUBLIC;
REVOKE ALL ON TABLE d_transparancy FROM geoadmin;
GRANT ALL ON TABLE d_transparancy TO geoadmin;
GRANT SELECT ON TABLE d_transparancy TO icp_forests_users_read;


--
-- Name: d_tree_age; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_tree_age FROM PUBLIC;
REVOKE ALL ON TABLE d_tree_age FROM geoadmin;
GRANT ALL ON TABLE d_tree_age TO geoadmin;
GRANT SELECT ON TABLE d_tree_age TO icp_forests_users_read;


--
-- Name: d_tree_layer_bd; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_tree_layer_bd FROM PUBLIC;
REVOKE ALL ON TABLE d_tree_layer_bd FROM geoadmin;
GRANT ALL ON TABLE d_tree_layer_bd TO geoadmin;
GRANT SELECT ON TABLE d_tree_layer_bd TO icp_forests_users_read;


--
-- Name: d_tree_layers; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_tree_layers FROM PUBLIC;
REVOKE ALL ON TABLE d_tree_layers FROM geoadmin;
GRANT ALL ON TABLE d_tree_layers TO geoadmin;
GRANT SELECT ON TABLE d_tree_layers TO icp_forests_users_read;


--
-- Name: d_tree_spec; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_tree_spec FROM PUBLIC;
REVOKE ALL ON TABLE d_tree_spec FROM geoadmin;
GRANT ALL ON TABLE d_tree_spec TO geoadmin;
GRANT SELECT ON TABLE d_tree_spec TO icp_forests_users_read;


--
-- Name: d_tree_spec_dw; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_tree_spec_dw FROM PUBLIC;
REVOKE ALL ON TABLE d_tree_spec_dw FROM geoadmin;
GRANT ALL ON TABLE d_tree_spec_dw TO geoadmin;
GRANT SELECT ON TABLE d_tree_spec_dw TO icp_forests_users_read;


--
-- Name: d_tree_spec_fo; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_tree_spec_fo FROM PUBLIC;
REVOKE ALL ON TABLE d_tree_spec_fo FROM geoadmin;
GRANT ALL ON TABLE d_tree_spec_fo TO geoadmin;
GRANT SELECT ON TABLE d_tree_spec_fo TO icp_forests_users_read;


--
-- Name: d_tree_species_mix; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_tree_species_mix FROM PUBLIC;
REVOKE ALL ON TABLE d_tree_species_mix FROM geoadmin;
GRANT ALL ON TABLE d_tree_species_mix TO geoadmin;
GRANT SELECT ON TABLE d_tree_species_mix TO icp_forests_users_read;


--
-- Name: d_tree_status; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_tree_status FROM PUBLIC;
REVOKE ALL ON TABLE d_tree_status FROM geoadmin;
GRANT ALL ON TABLE d_tree_status TO geoadmin;
GRANT SELECT ON TABLE d_tree_status TO icp_forests_users_read;


--
-- Name: d_treemix; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_treemix FROM PUBLIC;
REVOKE ALL ON TABLE d_treemix FROM geoadmin;
GRANT ALL ON TABLE d_treemix TO geoadmin;
GRANT SELECT ON TABLE d_treemix TO icp_forests_users_read;


--
-- Name: d_type_validation; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_type_validation FROM PUBLIC;
REVOKE ALL ON TABLE d_type_validation FROM geoadmin;
GRANT ALL ON TABLE d_type_validation TO geoadmin;
GRANT SELECT ON TABLE d_type_validation TO icp_forests_users_read;


--
-- Name: d_validated; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_validated FROM PUBLIC;
REVOKE ALL ON TABLE d_validated FROM geoadmin;
GRANT ALL ON TABLE d_validated TO geoadmin;
GRANT SELECT ON TABLE d_validated TO icp_forests_users_read;


--
-- Name: d_variable; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_variable FROM PUBLIC;
REVOKE ALL ON TABLE d_variable FROM geoadmin;
GRANT ALL ON TABLE d_variable TO geoadmin;
GRANT SELECT ON TABLE d_variable TO icp_forests_users_read;


--
-- Name: d_variable_aq; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_variable_aq FROM PUBLIC;
REVOKE ALL ON TABLE d_variable_aq FROM geoadmin;
GRANT ALL ON TABLE d_variable_aq TO geoadmin;
GRANT SELECT ON TABLE d_variable_aq TO icp_forests_users_read;


--
-- Name: d_vertical_from; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_vertical_from FROM PUBLIC;
REVOKE ALL ON TABLE d_vertical_from FROM geoadmin;
GRANT ALL ON TABLE d_vertical_from TO geoadmin;
GRANT SELECT ON TABLE d_vertical_from TO icp_forests_users_read;


--
-- Name: d_visibility; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_visibility FROM PUBLIC;
REVOKE ALL ON TABLE d_visibility FROM geoadmin;
GRANT ALL ON TABLE d_visibility TO geoadmin;
GRANT SELECT ON TABLE d_visibility TO icp_forests_users_read;


--
-- Name: d_visible_crown; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_visible_crown FROM PUBLIC;
REVOKE ALL ON TABLE d_visible_crown FROM geoadmin;
GRANT ALL ON TABLE d_visible_crown TO geoadmin;
GRANT SELECT ON TABLE d_visible_crown TO icp_forests_users_read;


--
-- Name: d_water; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_water FROM PUBLIC;
REVOKE ALL ON TABLE d_water FROM geoadmin;
GRANT ALL ON TABLE d_water TO geoadmin;
GRANT SELECT ON TABLE d_water TO icp_forests_users_read;


--
-- Name: d_water_table_type; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_water_table_type FROM PUBLIC;
REVOKE ALL ON TABLE d_water_table_type FROM geoadmin;
GRANT ALL ON TABLE d_water_table_type TO geoadmin;
GRANT SELECT ON TABLE d_water_table_type TO icp_forests_users_read;


--
-- Name: d_wrb_diagnostics; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_wrb_diagnostics FROM PUBLIC;
REVOKE ALL ON TABLE d_wrb_diagnostics FROM geoadmin;
GRANT ALL ON TABLE d_wrb_diagnostics TO geoadmin;
GRANT SELECT ON TABLE d_wrb_diagnostics TO icp_forests_users_read;


--
-- Name: d_wrb_pub; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_wrb_pub FROM PUBLIC;
REVOKE ALL ON TABLE d_wrb_pub FROM geoadmin;
GRANT ALL ON TABLE d_wrb_pub TO geoadmin;
GRANT SELECT ON TABLE d_wrb_pub TO icp_forests_users_read;


--
-- Name: d_yield_abs; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_yield_abs FROM PUBLIC;
REVOKE ALL ON TABLE d_yield_abs FROM geoadmin;
GRANT ALL ON TABLE d_yield_abs TO geoadmin;
GRANT SELECT ON TABLE d_yield_abs TO icp_forests_users_read;


--
-- Name: d_yield_rel; Type: ACL; Schema: d; Owner: -
--

REVOKE ALL ON TABLE d_yield_rel FROM PUBLIC;
REVOKE ALL ON TABLE d_yield_rel FROM geoadmin;
GRANT ALL ON TABLE d_yield_rel TO geoadmin;
GRANT SELECT ON TABLE d_yield_rel TO icp_forests_users_read;


--
-- Name: DEFAULT PRIVILEGES FOR TABLES; Type: DEFAULT ACL; Schema: d; Owner: -
--

ALTER DEFAULT PRIVILEGES FOR ROLE geoadmin IN SCHEMA d REVOKE ALL ON TABLES  FROM PUBLIC;
ALTER DEFAULT PRIVILEGES FOR ROLE geoadmin IN SCHEMA d REVOKE ALL ON TABLES  FROM geoadmin;
ALTER DEFAULT PRIVILEGES FOR ROLE geoadmin IN SCHEMA d GRANT SELECT ON TABLES  TO icp_forests;
ALTER DEFAULT PRIVILEGES FOR ROLE geoadmin IN SCHEMA d GRANT SELECT ON TABLES  TO icp_forests_users_read;


--
-- PostgreSQL database dump complete
--

